/*****************************************************************************
 * 
 *  jsMath: Mathematics on the Web
 *  
 *  This jsMath package makes it possible to display mathematics in HTML pages
 *  that are viewable by a wide range of browsers on both the Mac and the IBM PC,
 *  including browsers that don't process MathML.  See
 *  
 *            http://www.math.union.edu/locate/jsMath
 *
 *  for the latest version, and for documentation on how to use jsMath.
 *
 *  Copyright 2004-2006 by Davide P. Cervone
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  
 *****************************************************************************/

if (!window.jsMath) {jsMath = {}}
if (!jsMath.Script) {jsMath.Script = {}}

jsMath.Script.Uncompress = function (data) {
  for (var k = 0; k <  data.length; k++) {
    var d = data[k]; var n = d.length;
    for (var i = 0; i < n; i++) {if (typeof(d[i]) == 'number') {d[i] = d[d[i]]}}
    data[k] = d.join('');
  }
  eval(data.join(''));
}

//start = new Date().getTime();
jsMath.Script.Uncompress([
  ['if(!','window','.','jsMath','||!',1,'.','jsMath.','loaded','){var ','jsMath_old','=',1,'.',3,';',0,'document.','getElementById','||!',17,'childNodes||!',17,'createElement','){','alert("','The',' mathematics ','on this page requires W3C DOM support in its JavaScript. "+"Unfortunately, your ','browser',' doesn\'t seem to have this.");}','else{',1,'.',3,'={version:"3.3g",document:document,',1,':',1,',sizes:[50,60,70,85,100,120,144,173,207,249],','styles',':{".math','":"font-family: serif; font-style: normal; font-weight: normal','",".typeset',42,'","div','.typeset":"text-align: ','center; margin: 1em 0px;","span',46,'left',43,' span":"text-align: left','; border',':0px; margin:0px','; padding',':0px','",".typeset .','normal',42,56,'size0','":"font-size: ','50','%",".typeset .','size1',61,'60',63,'size2',61,'70',63,'size3',61,'85',63,'size4',61,'100',63,'size5',61,'120',63,'size6',61,'144',63,'size7',61,'173',63,'size8',61,'207',63,'size9',61,'249',63,'cmr10','":"font-family: jsMath-',100,', serif',56,'cmbx10',101,105,', ',3,'-cmr10',56,'cmti10',101,112,', ',3,110,56,'cmmi10',101,119,56,'cmsy10',101,123,56,'cmex10',101,127,56,'textit','":"font-family: serif; font-','style:italic',56,'textbf',132,'weight:bold',56,'link":"','text-decoration',': none',56,'error',61,'10pt; font-style: italic; "+"','background-color',': #FFFFCC',54,': 1px; "+"border: ','1px solid',' #CC0000',56,'blank','":"','display:inline-block','; ','overflow:hidden',52,':0px none; width:0px; height:0px;",".','typeset .','spacer','":"',155,'","#jsMath_message":"','position:fixed','; bottom:','1px; left:2px; ',146,':#E6E6E6','; "+"border: solid 1px #959595; margin:0px; padding: ','1px 8px','; "+"z-index:102; color',': black','; font-size',':','small; ','width:auto',';","#','jsMath_panel','":"',165,166,'1.5em; right:1.5em',54,': .8em 1.6em; "+"',146,':#DDDDDD; border: outset ','2px; "+"z-index:103; ',177,178,179,' .disabled":"color:#888888","#',179,' .infoLink','":"font-size:','85%","#',179,' td','":"border:0px; padding:0px; margin:0px;","#',179,' tr',199,179,' table',199,'jsMath_button','":"',165,166,'1px; right:2px; ',146,':white',170,'0px 3px 1px 3px',172,':black; ',140,':none',174,':x-small; "+"',177,'; ','cursor:hand',178,'jsMath_global":"font-',133,';","#jsMath_float','":"','position:absolute','; top:0px; left:0px; max-width:80%; "+"z-index:101; ',177,'; height:auto',227,' .drag":"',146,187,'1px; height:12px',174,': 1px',227,' .close":"',146,169,52,': inset 1px; width:8px; height:8px; margin: 1px 2px',227,' .source":"',146,':#E2E2E2',52,': outset 1px; "+"',177,232,54,': 8px 15px; "+"font-family: courier, fixed',174,': 90%","#jsMath_noFont',' .message":"text-align: center; padding: .8em 1.6em; border: 3px solid #DD0000; "+"background-color: #FFF8F8; color: #AA0000; font-size:',176,177,178,'jsMath_noFont .link":"padding: 0px 5px 2px 5px',52,': 2px outset; ',146,':#E8E8E8; "+"color:black',174,':80%; ',177,'; ',223,178,'jsMath_PrintWarning',258,'x-',176,177,';","@media print":"#',206,' {display:none','}\\n"+"#jsMath_Warning',280,'}","@media screen":"#',273,280,'}"},Element',':function(','_1){return ',7,17,18,'("jsMath_"+_1);},','BBoxFor',287,'s','){this.','hidden.innerHTML','="<nobr><','span class=\\"','typeset\\"><',299,'scale\\">"+s+"</span></span></nobr>";var _3={w:this.','hidden','.offsetWidth',',h:this.',303,'.offsetHeight','};this.',297,'="";return _3;},EmBoxFor',287,'s',9,'_5=',7,'Global.cache','.R;',0,'_5[this.em]){_5[this.em]={};}',0,'_5','[this.em][s',']){var _6','=this.BBoxFor','(s);_5',322,']={w:_6.w/this.em,h:_6','.h/this.em};}return ','_5',322,'];},','EmBoxForItalics',287,'s',9,'_8=',7,316,'.R;',0,'_8[this.em]){_8[this.em]={};}',0,'_8',322,']){var _9',324,'(s);if(s.match(/<i>|class=\\"(icm|italic|igreek|iaccent)/i)){_9.w',324,'(s+',7,'Browser.','italicString',').w-',7,351,'italicCorrection',';}_8',322,']={w:_9.w/this.em,h:_9',328,'_8',322,'];},Init',':function(){','if(',7,'Setup.inited','!=1){',0,7,367,'){',7,'Setup.','Body();}if(',7,367,'!=1){if(',7,367,'==-100','){return;}',25,'It looks like ',3,' failed to set up properly (error code "+',7,367,'+").  "+"I will try to keep going, but it could get ugly.");',7,367,'=1;}}this.em',324,'("<span style=\\""+',7,351,'block+";','width:13em;height:1em','\\"></span','>").w/13;if(this.em==0',296,'em',324,'("<img src=\\""+',7,153,'+"\\" style=\\"',398,'\\"/>").w/13;}var _a=',7,316,'.B;',0,'_a[this.em]){_a[this.em]={};','_a[this.em].','bb',324,'("x");var hh=',415,'bb.h;',415,'d',324,'("x"+',7,'HTML.Rule(1,','hh/',7,'em)).h-hh;if(',7,351,352,'){',415,'ic=',7,293,'(',7,351,352,').w;}}',7,351,356,'=',415,'ic;var bb=',415,'bb;var h=bb.h;var d=',415,'d;this.h=(h-d)/this.em;this.d=d/this.em;this.hd=this.h+this.d;this.xWidth=bb.w;this.',374,'TeXfonts','();var _f=this.EmBoxFor("<',299,100,'\\">M</span>").w/2;this.TeX.M_height=_f*(26/14);this.TeX.h=this.h;this.TeX.d=this.d;this.TeX.hd=this.hd;this.Img.Scale();',0,'this.initialized',296,374,'Sizes','();this.','Img.UpdateFonts();}this.p_height=(','this.TeX.cmex10[0].','h+',466,'d)/0.85;',460,'=1;},ReInit',364,'var w',324,'("x").w;if(w!=this.xWidth',296,'Init();}},Loaded',364,'if(',10,9,'_11=["Process","ProcessBeforeShowing","ConvertTeX","ConvertTeX2","ConvertLaTeX","ConvertCustom","CustomSearch","Synchronize","Macro","document"];','for(var i=0;i<','_11','.length;i++){if(',10,'[_11[i]]){delete ',10,'[_11[i]];}}}if(',10,'){this.Insert(',3,',',10,');}',10,'=null;',7,8,'=1;},Add',287,'dst,src){for(var id in src){','dst[id]=src[id','];}},Insert',287,502,'if(dst[id]&&typeof (src[id])=="object"&&(','typeof (dst[id])=="','object"||',508,'function")){this.Insert(dst[id],src[id]);}',31,503,'];}}},Package',287,'obj,def',491,'obj.prototype,def);}};',7,'Global={isLocal:1,cache:{','T:{},D:{},R:{},B',':{}},ClearCache',364,7,316,'={',521,':{}};},GoGlobal',287,'_1b',9,'url=String(',7,1,'.','location);','var c=(',7,'isCHMmode','?"#":"?");if(_1b){url=url.replace(/\\?.*/,"")+"?"+_1b;}',7,'Controls.','Reload(',7,'root+"',3,'-global.html"+c+escape(url));},Init',364,'if(',7,'Controls.cookie.','global=="always"&&!',7,'noGoGlobal','){','if(navigator.','accentColorName',382,0,7,1,'){',7,1,'=',1,';}',7,542,8,'=1;',7,542,'defaults.hiddenGlobal',497,'this.GoGlobal(',7,542,'SetCookie(2));}},Register',364,'var _1e=',7,1,'.parent;',0,7,'isCHMode){',7,539,'=(',7,1,'.','location.protocol','=="mk:");}try{',0,7,539,296,'Domain();}if(_1e.',3,'&&_1e.',7,'isGlobal){_1e.',7,'Register(',7,1,');}}','catch(err','){',7,554,'=1;}},Domain',364,'if(navigator.appName=="Microsoft Internet Explorer"&&navigator.platform=="MacPPC"&&navigator.','userProfile','!=null',382,'if(',1,'==parent',382,'var _1f=',7,17,'domain;try{while(true){try{if(parent.',17,'title!=null','){return;}}',610,'){}',0,17,'domain.match(/\\..*\\./)){break;}',7,17,'domain=',7,17,'domain.replace(/^[^.]*\\./,"");}}',610,'){}',7,17,638,'_1f;}};',7,'Script={request:null,Init',364,'if(!(',7,551,'asynch&&',7,551,'progress',')){if(',1,'.XMLHttpRequest){try{','this.request','=new XMLHttpRequest;}',610,'){}}',0,661,'&&',1,'.','ActiveXObject',9,'xml=["MSXML2.XMLHTTP.5','.0","MSXML2.XMLHTTP','.4',673,'.3',673,'","Microsoft.XMLHTTP"];',483,'xml.length&&!',661,';i++){try{',661,'=new ',670,'(xml[i]);}',610,'){}}}}',0,661,'||',7,374,'domainChanged',296,'Load=this.delayedLoad;this.needsBody=1;}},Load',287,'url,_23){if(_23){',7,'Message.Set("Loading "+url);',7,'Script.','Delay(1);',7,'Script.Push(','this,"xmlRequest",url',');',7,705,7,'Message',',"Clear");}',31,7,705,706,');}},xmlRequest',287,'url){','this.blocking','=1;try{',661,'.open("GET",url,false);',661,'.send(null);}',610,'){throw "jsMath can\'t load the file \'"+url+"\'\\n"+"',711,': "+err.message;}if(',661,'.status','&&',661,731,'>=400',727,'Error status: "+',661,731,';}',0,'url.match(/\\.js$/)){','return (',661,'.responseText',');}var _25=','this.queue',';',747,'=[];',7,1,'.eval(',661,745,');',720,'=0;','this.queue=this.queue.concat(','_25);this.Process();return "";},cancelTimeout:30*1000,iframe:null,blocking:0,cancelTimer:null,needsBody:0,queue:[],Synchronize',287,'_26,_27){','if(typeof (','_26)!="string"){',7,705,'null,_26,_27);}',31,7,705,7,1,',"eval",_26);}},Push',287,'_28,_29,_2a){',747,'[',747,'.length]=[_28,_29,_2a];if(!(',720,'||(this.needsBody&&!',7,17,'body))){this.Process();}},Process',364,'while(',747,'.length&&!',720,9,'_2b=',747,'[0];var _2c=',747,'.slice(1);',747,'=[];var _2d=_2b[0];var _2e=_2b[1];var _2f=_2b[2];if(_2d){_2d[_2e](_2f);}',31,'if(_2e){_2e(_2f);}}',759,'_2c);}},delayedLoad',287,'url',296,'Push(this,"startLoad",url);},startLoad',287,'url){','this.iframe','=',7,17,23,'("iframe");','this.iframe.style.','visibility="',303,'";',814,'position="absolute";',814,'width="0px";',814,'height="0px";if(',7,17,'body.firstChild','){',7,17,'body.insertBefore(',808,',',7,17,826,');}',31,7,17,'body','.appendChild(',808,');}',720,'=1;this.','url=url;',0,742,808,'.src=url;}',31,808,'.src=',7,545,3,'-loader.html";}if(url.substr(0,',7,'root.length',')==',7,'root){url=url.substr(',7,859,');}',7,700,'this.cancelTimer','=setTimeout("',7,702,'cancelLoad','()",this.cancelTimeout);},endLoad',287,'_32){if(',868,'){clearTimeout(',868,');',868,'=null;}',7,711,'.Clear();if(_32!="cancel"){',720,'=0;this.Process','();}},Start',364,'this.tmpQueue','=',747,';',747,'=[];},End',364,759,889,');delete ',889,';},',872,364,868,497,7,711,'.Set("Can\'t load file");this.endLoad("cancel");},Delay',287,'_33){',720,'=1;setTimeout("',7,702,'endDelay','()",_33);},',914,364,720,886,'();},','imageCount',':0,WaitForImage',287,'_34){',720,845,921,'++;if(this.img==null',296,'img=[];}var img=new Image',464,'img[this.img.length]=img;img.onload=function(){if(--',7,702,921,'==0){',7,702,914,'();}};img.onerror','=img.onload;img.','onabort',941,'src=_34;},Uncompress',287,'_36){','for(var k=0;k<','_36.length;k++){var d=_36[k];var n=d.length;',483,'n;i++){',763,'d[i])=="number"){d[i]=d[d[i]];}}_36[k]=d.join("");}',1,753,'_36.join(""));}};',7,711,'={',153,':null,message:null,text:null,clear:null,Init',364,0,7,17,'body||!',7,551,657,382,'if(',7,374,'stylesReady){','this.message','=',7,'Setup.DIV("message",{visibility:"hidden','"});}',31,974,'=',7,977,'",position:"absolute",','bottom:"1px",left:"2px",','backgroundColor',':"#E6E6E6",border:"solid 1px #959595",margin:"0px",padding:"1px 8px",zIndex:102,color:"black",fontSize:"small",width:"auto"});}','this.text','=',7,17,'createTextNode','("");',974,841,988,');',974,'.onmousedown=',7,'Translate.Cancel;},Set',287,'_3b,_3c){','if(this.clear){clearTimeout(this.clear',');','this.clear',881,'if(',7,551,657,'){',0,988,296,'Init();',0,988,630,'if(',7,351,'textNodeBug','){',974,'.innerHTML','=_3b;}',31,988,'.nodeValue',1027,'this.message.style.',815,'visible";if(_3c){',1032,'cursor="pointer";',0,1032,'cursor){',1032,'cursor="hand";}',974,'.title=" Cancel Processing of Math ";}',31,1032,'cursor="";',974,'.title="";}}',31,'if(_3b.substr(0,8)!="Loading "){',7,1,731,'=_3b;}}},Clear',364,1004,');}',1006,'=setTimeout("',7,711,'.doClear()",1000);},doClear',364,'if(',1006,296,'clear',497,7,1,731,'="";if(',988,'){',988,1030,'="";}if(',974,'){',1032,815,303,'";}}},Blank',364,'if(','this.blank','||!',7,17,'body',382,1086,'=',7,374,'DIV("',153,'",{position:(',7,351,'msiePositionFixedBug','?"absolute":"fixed"),top:"0px",left:"0px",bottom:"0px",right:"0px",zIndex:101,',986,':"white"});if(',7,351,'msieBlankBug','){',1086,1026,'="&nbsp;";',1086,'.style.width="110%";',1086,'.style.height="110%";}},UnBlank',364,'if(',1086,'){',7,17,'body.removeChild(',1086,');}',1086,'=null;}};',7,'Setup={',8,':[],DIV',287,'id,_3e',9,'div=',7,17,23,'("div");div.id="jsMath_"+id;','for(var i in ','_3e){div.style[i]=_3e[i];}',0,7,17,'body.hasChildNodes){',7,17,'body',841,'div);}',31,7,17,830,'div,',7,17,826,');}return div;},Script',287,'_41,_42){if(','this.loaded[_41',']){return;}',31,1161,']=1;}',0,'_41.match("^([a-zA-Z]+:/?)?/")){_41=',7,'root+_41;}',7,702,'Load(_41,_42);},Hidden',364,7,303,'=this.DIV("Hidden",{visibility:"',303,984,'top:0,left:0,border:0,padding:0,margin:0});',7,'hiddenTop=',7,303,';return;},Source',364,'if(',7,'Autoload&&',7,'Autoload.root','){',7,'root=',7,1190,';}',31,7,'root="";var _43=',7,17,'getElementsByTagName("','script");if(_43){',483,'_43','.length;i++){var ','src=_43[i].src;if(src&&src.match("(^|/)',7,'js$")){',7,1193,'src.','replace(/',7,'js$/,"");i=_43.length;}}}}if(',7,'root.charAt(0)=="/"){',7,1193,7,17,594,'+"//"+',7,17,'location.host+',7,'root;}',31,0,7,'root.match','(/^[a-z]+:/i)){src','=new String(',7,17,536,7,1193,'src','.replace(new RegExp','("[^/]*$"),"")+',7,'root;while(',7,1232,'("/[^/]*/\\\\.\\\\./")){',7,1193,7,'root',1241,'("/[^/]*/\\\\.\\\\./"),"/");}}}',7,'Img.',1193,7,545,'fonts/";',7,153,'=',7,545,153,'.gif";this.Domain();},Domain',364,'try{',7,17,'domain;}',610,382,'var _46="";var _47=',7,17,'domain;if(',7,1232,'("://([^/]*)/")){_46=RegExp.$1;}_46=_46.replace(/:\\d+$/,"");if(_46==""||_46==_47',382,616,'onLine&&','navigator.',617,'&&',7,17,'all',382,'_46=_46.split(/\\./);_47=_47.split(/\\./);if(_46.length<2||_47.length<2||','_46[_46.length-','1',']!=_47[_47.length-','1]||',1292,'2',1294,'2]){this.','DomainWarning','();return;}var _48=',1292,'2]+"."+',1292,'1];for(var i=3;i<=_46.length&&i<=_47',485,1292,'i',1294,'i]){break;}_48=',1292,'i]+"."+_48;}',7,17,638,'_48;this.',694,'=1;},',1300,364,25,'In order for ',3,' to be able to load the additional "+"components that it may need, the ',7,'js file must be "+"',8,' from a server in the same domain as the page that "+"contains it.  Because that is not the case for this page, "+"the',27,'displayed here may not appear correctly.");},','EncodeFont',287,'_4a',9,'_4b=',7,'TeX[_4a];if(_4b[0].c!=null',382,947,'128;k++){var _4d=_4b[k];_4b[k]=_4d[3];if(_4b[k]==null){_4b[k]={};}_4b[k].w=_4d[0];_4b[k].h=_4d[1];if(_4d[2]!=null){_4b[k].d=_4d[2];}_4b[k].c=',7,'TeX.encoding[k];}},Fonts',364,483,7,'TeX.fam',1206,'_4f=',7,1346,'[i];if(_4f',296,1331,'(_4f);}}},TeXfont',287,'_50',9,'_51=',7,'TeX[_50];if(_51==null',382,'var WH=',7,'EmBoxFor("<span class=\\""+_50+"\\">"+_51[65].c','+"</span>");_51.hd=WH.h;_51.dh=0.05;_51.d=',7,1364,'+',7,426,'_51.hd)+"</span>").h-_51.hd;_51.h=_51.hd-_51.d;','if(_50=="',119,'"){_51.skewchar=','127;}',31,1372,123,1374,'48;}}},',454,364,483,7,1346,485,7,1346,'[i]){this.TeXfont(',7,1346,'[i]);}}},Sizes',364,7,'TeXparams','=[];for(var j=0;j<',7,'sizes.length;j++){',7,1395,'[j]={};}',1139,7,'TeX){',763,7,'TeX[i])!="object"){for(var j=0;j<',7,'sizes.length;j++){',7,1395,'[j][i]=',7,'sizes[j]*',7,'TeX[i]/100;}}}},Styles',287,'_57){',0,'_57){_57=',7,40,';_57[".',160,'scale"]="font-size:"+',7,551,'scale+"%";this.stylesReady=1;}',7,705,'this,"','AddStyleSheet','",_57);if(',7,351,'styleChangeDelay','){',7,705,7,'Script,"Delay",1);}},',1432,287,'_58',9,'_59=',7,17,1202,'head")[0];var _5a="";for(var id in _58){_5a+=id+" {"+_58[id]+"}\\n";}if(',7,17,'createStyleSheet){_59.insertAdjacentHTML("beforeEnd","<span',' style=\\"','display:none\\">x</span>"+"<style type=\\"text/css\\">"+_5a+"</style>");}',31,'var _5c=',7,17,23,'("style");_5c.type="text/css";_5c',841,7,17,992,'(_5a));_59',841,'_5c);}},Body',364,'if(this.inited',382,'this.inited=-','1;',7,374,'Hidden();',1472,'2;',7,351,1016,1472,'3;if(',7,551,153,'){',7,711,'.Blank();}',1472,'4;',7,374,'Styles();',1472,'5;',7,542,1016,1472,'6;',7,705,7,'Setup,"User","pre-font");',1472,'7;',7,705,7,'Font,"Check");if(',7,'Font.register.length){',7,705,7,'Font,"LoadRegistered");}this.inited=1;},User',287,'_5d){}};',7,'Update={',454,287,'_5e){for(var ','_5f in ',1525,'_60 in _5e[_5f]){for(var id in _5e[_5f][_60]){',7,'TeX[_5f][_60][id]=_5e[_5f][_60][id];}}}},TeXfontCodes',287,'_62){for(var _63 in _62){',483,'_62[_63].length;i++){',7,'TeX[_63][i].c=_62[_63][i];}}}};',7,'Browser={allowAbsolute:1,allowAbsoluteDelim:0,separateSkips:0,valignBug:0,operaHiddenFix:"",','msieCenterBugFix',':"",','msieInlineBlockFix',':"",','msieSpaceFix',':"",imgScale:1,renameOK:1,',1436,':0,delay:1,version:0,','TestSpanHeight',364,7,297,'="<span','><','span style=\\""+this.block+";','height:2em;width:','1px',399,'></span>";var ','_65=',7,'hidden.firstChild;','var img=_65.firstChild;','this.spanHeightVaries','=(_65',307,'>=img',307,'&&_65',307,'>0);','this.spanHeightTooBig','=(_65',307,'>img',307,');',7,297,'="";},','TestInlineBlock',364,'this.block','="display:-moz-inline-box";','this.hasInlineBlock','=',7,'BBoxFor("<span style=\\""+this.block+";','width:10px;height:5px\\"></span>").w>0;if','(',1583,'){',7,'styles[".typeset .',153,'"]=',7,1592,153,'"].replace(/',155,'/,',1581,');',7,1592,161,'"]=',7,1592,161,1598,155,'/,"");}',31,1581,'="',155,'";',1583,'=',7,1586,1587,'(!',1583,630,1581,'+=";',157,'";var h=',7,293,'("x").h;this.mozInlineBlockBug=',7,1586,'height:"+h+"px;width:1px',399,'>x"+"<',1553,1635,';vertical-align:-"+h+"px',399,'>").h>2*h;this.widthAddsBorder=',7,1586,157,';height:1px;width:10px',';border-left:','10px solid',399,'>").w>10;','this.msieBorderBug','=',7,1586,1635,399,'>x").h!=',7,1586,1635,1647,150,399,'>x").h;this.blankWidthBug=',1651,'||',7,1586,1554,'0px',399,'>").h==0;},','TestRenameOK',364,7,297,1551,1557,'_68=',7,1560,'_68.setAttribute("name","','jsMath_test','");this.renameOK=(',7,17,'getElementsByName("',1683,'").length>0);',7,297,1578,'TestStyleChange',364,7,297,1551,' ID=\\"',1683,'\\">x</span>";var _69=',7,1560,'var w=_69',304,';',7,374,1432,'({"#',1683,195,'200%"});this.',1436,'=(_69',304,'==w);',7,297,1578,'VersionAtLeast',287,'v',9,'bv',1234,'this.version',').split(".");','v',1234,'v',1727,'if(v[1]==null){v[1]="0";}return bv[0]>v[0]||(bv[0]==v[0]&&bv[1]>=v[1]);},Init',364,7,29,'="unknown";this.',1579,464,1547,464,1673,464,1693,464,'MSIE',464,'Mozilla',464,'Opera',464,'OmniWeb',464,'Safari',464,'Konqueror','();if(','this.allowAbsoluteDelim','){',7,'Box.DelimExtend=',7,'Box.DelimExtendAbsolute;',7,'Box.Layout=',7,'Box.LayoutAbsolute;}',31,7,'Box.DelimExtend=',7,'Box.DelimExtendRelative;',7,'Box.Layout=',7,'Box.LayoutRelative;}if(','this.separateSkips','){',7,'HTML.Place=',7,'HTML.','PlaceSeparateSkips',';',7,'Typeset.prototype.','Place=',7,1785,1782,';}},MSIE',364,'if(',1562,'&&!',1570,'){',7,29,'="MSIE";',556,'platform=="','Win32"){',1757,'=1;',1776,'=1',';this.buttonCheck=1;this.',1107,'=1;this.msieDivWidthBug=1;this.',1101,845,'msieIntegralBug',845,'waitForImages',845,'msieAlphaBug',845,'alphaPrintBug',845,1539,'="position:relative; ";this.',1541,'=" ',155,';";this.',1543,1551,1454,155,399,'>";',7,'Macro("joinrel","\\\\mathrel{\\\\kern-5mu}"),',7,1592,'arial"]="font-family: \'Arial unicode MS\'";',7,'styles["#jsMath_message','"]=',7,1838,1598,165,'/,"',229,'").',1213,177,'/,"");',7,'styles["#jsMath_panel','"]=',7,1851,1598,165,'/,"',229,'").',1213,177,'/,"");',7,'styles["#jsMath_button','"]="width:','1px; "+',7,1864,1598,165,'/,"',229,'").',1213,177,'/,"");',7,1,'.onscroll=',7,542,'MoveButton;',7,1592,161,'"]=',7,1592,161,1598,155,'/,"");',7,40,'[".tex2math_div"]=',7,40,'["div.typeset"]+"; width: 100%; display: inline-block";if(','screen.deviceXDPI','&&','screen.logicalXDPI','&&',1899,'!=',1901,296,'imgScale*=',1901,'/',1899,';',7,551,'alpha=0;}this.',352,'="<i>x</i>";',7,'EmBoxFor=',7,332,';}',31,556,1801,'MacPPC"){this.msieAbsoluteBug',845,'msieButtonBug',1809,1107,'=1;',7,374,'Script("',3,'-msie-mac.js");',7,'Parser.prototype.macros.angle=["Replace","ord","<font face=\\"Symbol\\">&#x8B;</font>","normal"];',7,1851,1865,'42em; "+',7,1851,1598,177,'/,"");',7,551,'printwarn=0;}}',7,'Macro("not","\\\\mathrel{\\\\rlap{\\\\kern3mu','/}}");}},Mozilla',364,'if(',7,303,'.ATTRIBUTE_NODE){',7,29,'="Mozilla";',556,1801,'Win32"){this.alphaPrintBug=1;}',1757,'=1;',7,1864,'"]=',7,1864,1598,223,'/,"cursor:pointer");',7,'styles["#jsMath_noFont .link','"]=',7,1975,1598,223,'/,"cursor:pointer");',7,1951,'/}}");',556,'vendor=="Firefox"){',1726,'=',1284,'vendorSub;}',31,556,'userAgent.match','(" Firefox/([0-9.]+)( |$)")){',1726,'=RegExp.$1;}}}},',1751,364,556,'accentColorName){',7,29,'="',1751,'";','this.allowAbsolute','=',1583,';',1757,'=',2006,';this.valignBug=!',2006,1807,1023,'=1;',7,'noChangeGlobal=1;',0,1583,'){',7,'Setup.Script("jsMath-old-browsers.js','");}}},Opera',364,'if(',1570,'){',7,29,'="Opera";var _6d=',1284,1993,'("Opera 7");',2006,'=0;this.delay=10;this.operaHiddenFix="[Processing]";if(_6d){',7,2024,'");}}},Safari',364,556,'appVersion.match(/Safari\\//)){',7,29,'="Safari";var _6e=',1284,1993,'("Safari/([0-9]+)");_6e=(_6e)?_6e[1]:400;',483,7,1346,485,7,1346,'[i]&&',7,'TeX[',7,1346,'[i]]){',7,'TeX[',7,1346,'[i]].dh=0.1;}}',7,'TeX.axis_height+=0.05;',7,'TeX.default_rule_thickness+=0.025;',1757,'=_6e>=125;this.safariIFRAMEbug=_6e>=312&&_6e<412;this.safariButtonBug=_6e<412;this.safariImgBug',845,1023,'=1',1807,1436,'=1;}},',1755,364,556,'product&&',1284,'product.match("',1755,'")){',7,29,'="',1755,'";',2006,'=0;',1757,'=0;',556,1993,'(/',1755,'\\/(\\d+)\\.(\\d+)/)){if(RegExp.$1<3||(RegExp.$1==3&&RegExp.$2<3)){',1776,845,'valignBug=1;',7,2024,'");}}',7,'Add(',7,40,',{".',160,100,101,'cmr10, jsMath cmr10',103,56,105,101,105,', ',3,' ',105,', ',3,'-',2115,56,112,101,112,', ',3,' ',112,', ',3,'-',2115,56,119,101,119,', ',3,' ',119,56,123,101,123,', ',3,' ',123,56,127,101,127,', ',3,' ',127,'"});',7,'Font.testFont','="',3,'-',127,', ',3,' ',127,'";}}};',7,'Font={testFont:"',3,'-',127,'",fallback:"symbol",register:[],message:"<b>No ',3,' TeX fonts found</b> -- using',' image fonts instead','.<br/>\\n"+"These',' may be slow and might not print well.<br/>\\n"+"Use the jsMath control panel to get additional information.",','extra_message:"Extra TeX fonts not found: <b><span id=\\"jsMath_ExtraFonts',399,'></b><br/>"+"Using',2185,'.  This',2187,'print_message:"To print higher-resolution math symbols, click the<br/>\\n"+"<b>Hi-res Fonts for Printing</b> button on',' the jsMath control panel.<br/>\\n",','alpha_message:"If the math symbols print as black boxes, turn off <b>image alpha channels</b><br/>\\n"+"using the <B>Options</B> pane of',2195,'Test1',287,'_70,n,_72,_73','){if(n==null){n=124;}if(','_72==null){_72=2;}if(_73==null){_73="";}var wh1=',7,'BBoxFor("<span style=\\"font-family',': "+_73+_70+", serif\\">"+',7,'TeX[_70][n','].c+"</span>");','var wh2=',7,2204,': serif\\">"+',7,'TeX[_70][n',2208,743,'wh1.w>_72*wh2','.w&&wh1.h!=0);},','Test2',287,'_76,n,_78,_79',2201,'_78==null){_78=2;}if(_79==null){_79="";}var wh1=',7,2204,': "+_79+_76+", serif\\">"+',7,'TeX[_76][n',2208,'var wh2=',7,2204,': serif\\">"+',7,'TeX[_76][n',2208,743,'wh2.w>_78*wh1',2218,'CheckTeX',364,'var wh=',7,2204,': "+',7,2167,'+", serif\\">"+',7,'TeX.',127,'[1',2208,7,'nofonts=((wh.w*3>wh.h||wh.h==0)&&!this.Test1("',100,'",null,null,"',3,'-"));if(',7,'nofonts&&(',1284,'platform!="MacPPC"||',7,29,'!="Mozilla"||!',7,351,1720,'(1.5))){wh=',7,2204,': ',127,103,'\\">"+jsMath.TeX.cmex10[1].c+"</span>");jsMath.nofonts=((wh.w*3>wh.h||wh.'],
  ['h==0)&&!','this.','Test1("cmr10"));','if(!','jsMath.','nofonts){',4,'Setup.Script("jsMath-','BaKoMa-fonts.js");}}},Check',':function','(){var ','_7d=','jsMath.Controls.','cookie',';',1,'CheckTeX();if(',4,5,'if(_7d.autofont','||','_7d.font=="','tex"){','_7d.font=',1,'fallback',';if(','_7d.warn){',4,'nofontMessage=1;_7d.warn=0;',12,'SetCookie','(0',');if(',4,'window.NoFontMessage','){',4,35,'();}else{','this.Message(this.','message);}}}}else{',19,'){_7d.font="','tex";}if(',21,22,'return;}}if(',4,'noImgFonts',43,'unicode";}if(',21,'unicode"){','var _7e=({Win32:"pc",MacPPC:"mac"})[navigator.platform]||"unix";',4,7,25,'-"+_7e+".','js");jsMath.Box.TeXnonfallback=jsMath.Box.TeX;jsMath.Box.TeX=jsMath.Box.TeXfallback;return;}',3,'_7d.print&&_7d.printwarn){',1,'PrintMessage','((',4,'Browser.','alphaPrintBug&&',12,13,'.alpha)?','this.print_message','+',1,'alpha_message:',71,');}if(',4,66,'waitForImages){',4,'Script.','Push(',4,'Script,"WaitForImage",',4,'blank',76,21,'symbol"){',4,7,25,'-symbols.',59,4,'Img.SetFont','({cmr10',':["all"],','cmmi10',98,'cmsy10',98,'cmex10',98,'cmbx10',98,'cmti10:["all"]});',4,'Img.LoadFont','("cm-fonts");},Message',9,'(_7f','){if(',4,'Element("','Warning','")){','return;}var ','div=',4,'Setup.DIV("',116,'",{});div.innerHTML="<center><table><tr><td>"+"<div ','id=\\"jsMath_noFont\\"><div ','class=\\"message\\">"+','_7f+"<div style=\\"text-align:left\\"><span style=\\"float:left; margin: 8px 0px 0px 20px\\">"+"<span onclick=\\"',12,'Panel','()\\" title=\\" ','Open the ','jsMath Control Panel',' \\" class=\\"link\\">',131,'</span>"+"</span','><span style=\\"margin: 8px 20px 0px 0px; float:right\\">"+"<span onclick=\\"',4,'Font.','HideMessage',129,'Remove this font warning message',132,'Hide this Message',134,'></div><div style=\\"height:6px\\"></div><br clear=\\"all\\"/></div></','div>"+"<div style=\\"width:22em; height:1px\\"></div>"+"</td></tr></table></center><hr/>";},',138,9,10,'_81=',4,115,116,'");if(_81){_81','.style.display="none";}},',63,9,'(_82',113,4,115,'PrintWarning',117,118,'div=',4,121,161,123,125,'_82+"</',145,'Register',9,'(_84,_85',113,'typeof (_84)=="string"){_84={name:_84};}',3,4,'Setup.inited','&&!_85){','this.register','[',181,'.length',']=_84;',118,'_86=_84.name;var _87=_86.replace(/10$/,"");var _88=',4,'TeX.fam',184,26,'_84.prefix','==null){',192,'="";}',3,'_84.style','){',197,'="font-family: "+',192,'+_86+", serif";}',3,'_84.styles','){',204,'={};}',3,'_84.macros','){',209,207,4,189,'[_88]=_86;',4,'TeX.famName[_86]=_88;',209,'[_87]=["HandleFont",_88];',4,'Add(',4,'Parser.prototype.macros,',209,');',204,'[".typeset ."+_86]=',197,';',4,'Setup.Styles(',204,33,4,'initialized){',4,81,'Push(',4,'Setup,"TeXfont",_86);}var _89=!',4,'nofonts&&_84.test(_86,_84.testChar,_84.testFactor,',192,33,'_89&&',12,'cookie.font=="',22,'if(_84.','tex){_84.tex(_86,_88,_84);}','return;}',3,'_89&&',12,13,'.warn&&',12,247,'tex"&&!',4,5,3,4,115,116,117,40,'extra_message);}var _8a=',4,115,'ExtraFonts");if(_8a',113,'_8a.innerHTML','!=""){',273,'+=",";}',273,'+=" "+',192,'+_86;}}if(',12,247,53,249,25,'){_84.',25,'(_86,_88,_84);}',118,'_8b={};_8b[_86]=["all"];',4,96,'(_8b);',4,109,'(_86',33,4,'initialized){',4,81,'Push(',4,'Img,"Scale");',4,81,'Push(',4,'Img,"UpdateFonts");}},LoadRegistered',9,10,'i=0;while(i<',181,184,'){',1,172,'(',181,'[i++],1);}',181,'=[];},Load',9,'(_8d){',4,'Setup.Script(',1,'URL(_8d));},URL',9,'(_8e){return ',4,'Img.root+_8e+"/def.js";}};',4,'Controls={',13,':{scale:100,font:"tex",autofont:1,scaleImg:0,alpha:1,warn:1,printwarn:1,stayhires:0,button:1,progress:1,asynch:0,blank:0,print:0,keep:"0D",global:"auto",hiddenGlobal:1},','cookiePath',':"/",','noCookiePattern',':/^(file|mk):$/,Init',9,'(){',1,'panel=',4,121,'panel",{display:"none"});',3,4,66,'msieButtonBug){',1,'Button',39,'setTimeout("',12,353,'()",500);}},',128,9,'(){',4,'Translate.Cancel();if(',1,'loaded){',1,'Main',39,4,81,'delayedLoad(',4,'root+"jsMath-controls.html");}},',353,9,10,'_8f=',4,121,'button",{});_8f.title=" Open ',131,' ";_8f.innerHTML="<span onclick=\\"',12,128,'()\\">jsMath</span>";',3,4,'Global.','isLocal&&!',4,'noShowGlobal){_8f.innerHTML+="<span id=\\"jsMath_global\\" title=\\" Open jsMath Global ',128,' \\" "+"onclick=\\"',4,388,'Show(1)\\">Global&nbsp;</span>";}if(_8f.offsetWidth<30){_8f.style.width="auto";}',3,'this.cookie','.button){_8f',154,'MoveButton',9,'(){',3,1,'button){',1,'button=',4,115,'button");}','this.button.style.visibility="','hidden";',412,'visible";},GetCookie',9,'(){if(','this.defaults',193,418,207,4,221,418,',',398,');',1,'userSet={};var _90=',4,'document.cookie',26,4,'window.location','.protocol.match(',1,339,')){_90=',1,'localGetCookie','();','this.isLocalCookie','=1;}if(_90.match(/jsMath=([^;]+)/)){var _91=unescape(RegExp.$1).split(/,/);for(var i=0;i<_91',184,';i++){var x=_91[i].match(/(.*):(.*)/);if(x[2].match(/^\\d+$/)){x[2]=1*x[2];}',398,'[x[1]]=x[2];',1,'userSet[x[1]]=1;}}},',440,9,'(){return ',4,434,'.search.substr(1);},',31,9,'(_94){var _95=[];','for(var id in ',398,113,418,'[id]==null||',398,'[id]!=',418,'[id]){_95[_95',184,']=id+":"+',398,'[id];}}_95=_95.join(",");if(',442,113,'_94==2){return "','jsMath="+escape(','_95);}',1,'localSetCookie','(_95,_94);}else{_95=escape(_95',33,'_95==""){_94=0;}if(',1,337,'){_95+="; ','path="+',1,337,';}if(',1,'cookieDomain',484,'domain="+',1,490,';}if(',398,'.keep!="0D"){var ms={D',':1000*60*60*24',',W',498,'*7,M',498,'*30,Y',498,'*365};var exp=new Date;exp.setTime(exp.getTime()+',398,'.keep.substr(','0,1)*ms[',398,507,'1,1)]);_95+="; expires="+exp.toGMTString();}if(_95!=""){',4,431,'="jsMath="+_95;var _99=',4,431,26,'_94&&!_99.match(/jsMath=/)){alert("Cookies must be enabled in order to save jsMath options");}}}return null;},',478,9,'(_9a,_9b){',3,'_9b){',118,'_9c=String(',4,434,').replace(/\\?.*/,"");if(_9a!=""){_9c+="?',475,'_9a',76,'_9c!=',4,434,'.href){',1,'Reload(_9c);}},Reload',9,'(url){',3,1,365,251,1,'loaded=0;',4,179,'=-100;',4,388,'ClearCache();if',539,4,434,'.replace(url);}else{',4,434,'.reload();}}};',4,'Click={CheckClick',9,'(_9e){',3,'_9e){_9e=',4,'window.event;}if','(_9e.altKey){',12,128,'();}},CheckDblClick',9,'(_9f){',3,'_9f){_9f=',4,566,'(!',4,'Click.DblClick){',4,'Extension.Require("double-click",1);var _a0=_9f;_9f={};',459,'_a0){_9f[id]=_a0[id];}}',4,81,'Push(',4,'Click,"DblClick",[_9f,',1,'alt]);}};',4,'TeX={thinmuskip:3/18,medmuskip:4/18,thickmuskip:5/18,x_height:0.430554,quad:1,num1:0.676508,num2:0.393732,num3:0.44373,denom1:0.685951,denom2:0.344841,sup1:0.412892,sup2:0.362892,sup3:0.288888,sub1:0.15,sub2:0.247217,sup_drop:0.386108,sub_drop:0.05,delim1:2.39,delim2:1,axis_height:0.25,default_rule_thickness:0.06,big_op_spacing1:0.111111,big_op_spacing2:0.166666,big_op_spacing3:0.2,big_op_spacing4:0.6,big_op_spacing5:0.1,integer:6553.6,scriptspace:0.05,nulldelimiterspace:0.12,delimiterfactor:901,delimitershortfall:0.5,scale:1,atom:["ord","op","bin","rel","open","close","punct","ord"],fam:["cmr10","cmmi10","cmsy10","cmex10","cmti10","","cmbx10",""],famName:{cmr10:0,cmmi10:1,cmsy10:2,cmex10:3,cmti10:4,cmbx10:6},encoding:["&#xC0;","&#xC1;","&#xC2;","&#xC3;","&#xC4;","&#xC5;","&#xC6;","&#xC7;","&#xC8;","&#xC9;","&#xCA;","&#xCB;","&#xCC;","&#xCD;","&#xCE;","&#xCF;","&#xB0;","&#xD1;","&#xD2;","&#xD3;","&#xD4;","&#xD5;","&#xD6;","&#xB7;","&#xD8;","&#xD9;","&#xDA;","&#xDB;","&#xDC;","&#xB5;","&#xB6;","&#xDF;","&#xEF;","!","&#x22;","#","$","%","&#x26;","&#x27;","(",")","*","+",",","-",".","/","0","1","2","3","4","5","6","7","8","9",":",";","&#x3C;","=","&#x3E;","?","@","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","[","&#x5C;","]","^","_","`","a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z","{","|","}","&#x7E;","&#xFF;"],cmr10:[[0.625',',0.683],[0.','833',593,'778',593,'694',593,'667',593,'75',593,'722',593,'778',593,'722',593,'778',593,'722',593,'583',',0.694,0,{ic:0.','0778,krn:{"39":0.0778,"63":0.0778,"33":0.0778,"41":0.0778,"93":0.0778},lig:{"105":','14,"108":15}}],[0.','556',',0.694],[0.','556',619,'833',619,'833',619,'278',',0.431],[0.','306,0.431',',0.194],[0.','5',619,'5',619,'5,0.628],[0.5',619,'5,0.568],[0.75',619,'444,0,0.17],[0.5',619,'722',627,'778',627,'5,0.528,0.0972],[0.903,0.683],[1.01',593,'778,0.732,0.0486],[','0.278',',0.431,0,{','krn:{"108":-0.','278,"76":-0.319}}],[',647,',0.694,0,{lig:{"96":','60}}],[0.5',619,'833',',0.694,0.194],[','0.5',',0.75,0.0556],[0.','833',658,'778',619,'278',',0.694,0,{krn:{"','63":0.111,"33":0.111','},lig:{"39":34}}],[0.','389',',0.75,0.25],[0.','389',668,'5,0.75],[','0.778,0.583,0.0833],[','0.278,0.106',629,'333',648,'lig:{"45":','123}}],[',673,'],[0.5',668,'5,0.644','],[0.5,0.644],[0.5,0.','644',683,'644',683,'644',683,'644],[0.5,0.644],[',647,627,'278,0.431',629,'278,0.5',629,'778',',0.367,-0.133],[','0.472,0.5',629,'472',652,'62}}],[0.778',619,'75',',0.683,0,{krn:{"','116','":-0.0278,"','67',708,'79',708,'71',708,'85',708,'81',708,'84":-0.0833,"89":-0.0833,"86":-0.111,"87":-0.111}}],[0.','708',593,'722',593,'764',706,'88',708,'87',708,'65',708,'86',708,'89":-','0.0278}}],[0.','681',593,'653',',0.683,0,{','krn:{"111":-0.0833,"101":-0.0833,"117":-0.0833,"114":-0.0833,"97":-0.0833,"65":-0.111,"79":-0.0278,"67":-0.0278,"71":-0.0278,"81":-0.0278}}],[','0.785',593,'75',593,'361',706,'73":',735,'514',593,'778',706,'79',708,'67',708,'71',708,'81":-',735,'625',706,719,'917',593,'75',593,'778',706,'88',708,'87',708,'65',708,'86',708,'89":-',735,'681',706,'65','":-0.0833,"','111',708,'101',708,'97',708,'46',783,'44":-0.','0833}}],[0.','778,0.683',629,'736',706,'116',708,'67',708,'79',708,'71',708,'85',708,'81',708,719,'556',593,'722',706,'121',708,'101',783,'111',783,'114',783,'97',783,'65',783,'117":-0.',793,'75',593,'75',',0.683,0,{ic:0.','0139,',740,'1.03',832,'0139,',740,'0.75',706,'79',708,'67',708,'71',708,'81":-',735,'75',832,'025,krn:{"101',783,'111',783,'114',783,'97',783,'65',783,827,793,'611',593,'278',668,'5',619,'278',668,'5',619,'278,0.668],[0.','278',652,'92}}],[0.5',648,'krn:{"118',708,'106":0.0556,"121',708,'119":-',735,'556,0.','694,0',',{krn:{"101":0.0278,"111":0.0278,"120":-0.0278,"100":0.0278,"99":0.0278,"113":0.0278,"118":-0.0278,"106":0.0556,"121":-0.0278,"119":-0.0278}}],[0.','444',648,'krn:{"104',708,'107":-',735,'556',619,'444',627,'306',615,616,'12,"102":11,"108":13}}],[0.5',',0.431,0.194,{','ic:0.','0139,krn:{"','106":',735,'556',664,'116',708,'117',708,'98',708,'121',708,'118',708,'119":-',735,873,'306,0.668',629,'528',664,'97','":-0.0556,"','101',708,'97',708,'111',708,'99":-',735,'278',619,'833',648,'krn:{"116',708,'117',708,'98',708,'121',708,'118',708,'119":-',735,'556',648,'krn:{"116',708,'117',708,'98',708,'121',708,'118',708,'119":-',735,'5,0.431',',0',886,884,'431,0.194',886,'528,0.431',629,'392',627,'394',627,'389,0.615,0,{krn:{"121',708,'119":-',735,'556',648,'krn:{"119":-',735,'528',',0.431,0,{ic:0.',903,'97',926,'101',708,'97',708,'111',708,'99":-',735,'722',986,903,'101',708,'97',708,'111',708,'99":-',735,'528',627,'528',901,'ic:0.',903,'111',708,'101',708,'97',708,'46',783,'44":-0.',793,'444',627,'5',986,'0278,',677,'124}}],[1',986,'0278}],[0.','5',619,'5,0.668],[0.5,0.668]],cmmi10:[[0.615',832,'139',',krn:{"61":-0.0556,"59":-0.111,"58":-0.111,"127":0.',793,'833',706,'127":0.167}}],[0.','763',832,1029,'krn:{"127":0.0833}}],[0.','694',706,1043,'742',832,'0757,',1047,'831',832,'0812,krn:{"61',926,'59":-0.0556,"58":-0.0556,"127":0.','0556}}],[0.','78',832,'0576,',1047,'583',832,'139',1039,1060,'667',739,1047,'612',832,'11,krn:{"61',926,1059,1060,'772',832,'0502,',1047,'64',986,'0037,','krn:{"127":',735,'566',',0.694,0.194,{ic:0.','0528,',1047,'518',901,'ic:0.0556}],[0.444',615,'0378,krn:{"',1059,1060,'406',648,'krn:{"127":0.0556}}],[0.','438',1089,'0738,',1047,'497',901,'ic:0.0359',',',1101,'469',615,1029,1047,'354',648,1101,'576',627,'583',619,'603',901,1086,735,'494',986,'0637,krn:{"',1059,'0278}}],[0.','438',1089,'046,',1086,'0.111}}],[0.','57',986,'0359}],[0.','517',901,1047,'571',986,'0359,krn:{"59',926,'58":-0.',1060,'437',986,'113,krn:{"',1059,1130,'54',986,'0359,',1086,735,'596,0.694,0.194,{',1047,'626',901,1101,'651',1089,'0359,',1086,1135,'622',986,1138,'466',648,1047,'591',',0.694,0,{',1047,'828',986,1033,'517',901,1047,'363,0.431,0.0972,{ic:0.0799,',1047,'654',901,1086,'0.0833}}],[1',698,'1',698,'1',698,'1',698,647,',0.464,-0.0363],[',647,1197,'0.5,0.465,-0.0347],[',1200,'0.5',627,'5',627,'5',627,965,629,965,629,965,',0.194',683,969,683,'431',629,'278,0.106],[',673,629,'778',',0.539,0.0391],[','0.5,0.75,0.25,{krn:{"1',926,'65',926,'77',926,'78',926,'89":0.0556,"90":-0.',1060,'778',1223,1200,'0.531',615,'0556,',1047,'75',706,'127":','0.','139}}],[0.','759',832,'0502,',1047,'715',832,'0715,krn:{"61',708,1059,793,'828',832,1029,1101,'738',832,'0576,',1047,'643',832,'139',1039,793,'786',739,1047,'831',832,'0812,krn:{"61',926,1059,1060,'44',832,'0785,',1086,1135,'555',832,'0962',1039,'167}}],[0.','849',832,'0715,krn:{"61',926,1059,1060,'681',706,1243,735,'97',832,'109,krn:{"','61',926,1059,793,'803',832,1300,'61',783,'61',708,1059,793,'763',832,1029,1047,'642',832,'139',1039,793,'791,0.683,0.194,{',1047,'759',832,'00773,',1047,'613',832,'0576,krn:{"61',926,1059,793,'584',832,'139,krn:{"61',708,1059,793,'683',832,1300,'59":-0.111,"',1146,'111,"61',926,1243,735,'583',832,'222',',krn:{"59":-0.167,"58":-0.167,"61":-0.111}}],[0.','944',832,'139',1353,'828',832,'0785,krn:{"61',783,'61',708,1059,793,'581',832,'222',1353,'683',832,'0715,krn:{"61',926,1059,793,'389,0.75],[0.389',656,'0.389',656,'1,0.358,-0.142],[',1380,'0.417',1175,1086,1135,'529',627,'429',619,'433',648,1101,'52',664,'89":0.0556,"90',926,'106":-0.111,"102":-0.167,"',1043,'466',648,1101,'49',1089,'108,krn:{"',1059,1287,'477',901,1108,',',1086,735,'576',664,'127":-',735,'345,0.66],[0.412,0.66,0.194,{ic:0.0572,krn:{"59',926,1146,1060,'521',615,'0315}],[0.298',615,'0197,',1047,'878',627,'6',627,'485',648,1101,'503',901,1047,'446',901,1108,',',1047,'451',986,1029,'krn:{"',1059,1060,'469',648,1101,'361,0.615,0,{',1047,'572',648,1086,735,'485',986,'0359,',1086,735,'716',986,'0269,',1047,'572',648,1086,735,'49',901,1108,',',1101,'465',986,'044,',1101,'322',648,1086,735,'384',901,1047,'636',901,1086,1135,'5,0.714,0,{ic:0.154}],[',647,615,'399}]],cmsy10:[[',672,647,',0.444,-0.0556],[',672,1200,672,'0.5,0.444,-0.0556],[',672,672,672,672,672,672,672,'1',656,1500,1500,'0.778',1197,'0.778,0.464,-0.0363','],[0.778,0.636,0.136',1515,1515,1515,1515,1515,'],[0.778',698,'0.778,0.483,-0.0169],[0.778',1223,'0.778',1223,'1',1223,'1',1223,'0.778',1223,'0.778',1223,'1',698,'1',698,'0.5',656,'0.5',656,'1',698,'1',656,'1',656,'0.778',1197,'1',698,'1',698,'0.611',656,'0.611',656,'1',698,'1',656,'1',656,'0.778',627,'275,0.556],[1',627,'667',1223,'0.667',1223,'0.889',656,'0.889',656,'0',656,'0',698,'0.556',619,'556',619,'667',627,'5',658,'722',619,'722',619,'778',619,'778',619,'611',619,'798',706,'48":0.','194}}],[0.657',832,'0304',',krn:{"48":0.',1245,'527',832,'0583',1605,1245,'771',832,'0278',1605,793,'528',832,'0894',1605,'111}}],[0.','719',832,'0993',1605,1621,'595',',0.683,0.0972,{ic:0.','0593',1605,1621,'845',832,'00965',1605,1621,'545',832,'0738,krn:{"48":',735,'678',1628,'185',1605,1287,'762',832,'0144',1605,1060,'69',706,1601,'139}}],[1.2',706,1601,1245,'82',832,'147',1605,793,'796',832,1614,1605,1621,'696',832,'0822',1605,793,'817,0.683,0.0972,{krn:{"48":',1135,'848',706,1601,793,'606',832,'075',1605,1245,'545',832,'254,krn:{"48":',735,'626',832,'0993',1605,793,'613',832,'0822,krn:{"48":',735,'988',832,'0822',1605,793,'713',832,'146',1605,1245,'668',1628,'0822',1605,793,'725',832,'0794',1605,1245,'667,0.556],[0.',1717,1717,1717,1717,'611',619,'611',619,'444',668,'444',668,'444',668,'444',668,'5',668,'5',668,'389',668,'389',668,'278',668,'5',668,'5',668,'611',668,'5',668,'278',656,'0.833,0.04,0.96],[0.75',593,'833',593,'417',1089,'111}],[0.',1717,'667,0.556',1515,1515,'],[0.444',656,'0.444',656,'0.444',656,'0.611',656,'0.778,0.694,0.13','],[',1773,'],[',1773,'],[',1773,']],cmex10:[[0.458',',0.04,1.16,{n:','16}],[0.458',1781,'17}],[0.417',1781,'104}],[0.417',1781,'105}],[0.','472',1781,'106}],[0.472',1781,'107}],[0.472',1781,'108}],[0.472',1781,'109}],[0.583',1781,'110}],[0.583',1781,1760,'472',1781,'68}],[0.472',1781,'69}],[0.333',',0,0.6,{delim:{','rep:12}}],[0.556',1807,'rep:13}}],[0.578',1781,'46}],[0.578',1781,'47}],[0.597',',0.04,1.76,{n:','18}],[0.597',1815,'19}],[0.736',',0.04,2.36,{n:','32}],[0.736',1819,'33}],[0.528',1819,'34}],[0.528',1819,'35}],[0.583',1819,'36}],[0.583',1819,'37}],[0.583',1819,'38}],[0.583',1819,'39}],[0.75',1819,'40}],[0.75',1819,'41}],[0.75',1819,'42}],[0.75',1819,'43}],[1.04',1819,'44}],[1.04',1819,'45}],[0.792',',0.04,2.96,{n:','48}],[0.792',1847,'49}],[0.583',1847,'50}],[0.583',1847,'51}],[0.639',1847,'52}],[0.639',1847,'53}],[0.639',1847,'54}],[0.639',1847,'55}],[0.806',1847,'56}],[0.806',1847,'57}],[0.806',',0.04,2.96],[','0.806',1867,'1.28',1867,'1.28',1867,'0.811',1815,'30}],[0.811',1815,'31}],[0.875',',0.04,1.76,{delim:{top:','48,bot:64,rep:66}}],[0.875',1879,'49,bot:65,','rep:67}}],[0.','667',1879,'50,bot:52,rep:54}}],[0.667',1879,'51,bot:53,rep:55','}}],[0.667,0.04,1.76,{delim:{bot:','52,rep:54',1889,'53,rep:55}}],[0.667',1807,'top:50,rep:54}}],[0.667',1807,'top:51,rep:55','}}],[0.889,0,0.9,{delim:{top:','56,mid:60,bot:58,rep:62',1897,'57,mid:61,bot:59,rep:62',1897,'56,bot:58,rep:62',1897,'57,bot:59,rep:62','}}],[0.889,0,1.8,{delim:{rep:','63',1905,'119}}],[0.889,0,0.3,{delim:{','rep:62}}],[0.','667',1807,'top:120,','bot:121,rep:63}}],[0.','875',1879,'56,bot:59,',1909,'875',1879,'57,bot:58,',1909,'875',1807,'rep:66}}],[0.875',1807,1883,'611',1815,'28}],[0.611',1815,'29','}],[0.833,0,1,{n:','71}],[1.11',',0.1,1.5],[','0.472,0,1.11,{ic:0.194,n:','73}],[','0.556,0,2.22,{ic:0.444}],[1.11,0',',1,{n:75}],[1.51,0','.1,1.5],[1.11,0',',1,{n:77}],[1.51,0',1939,',1,{n:79}],[1.51',1934,'1.06,0,1,{n:88}],[0.944,0,1,{n:89}],[',1935,'90',1932,'91',1932,'92',1932,'93',1932,'94',1932,'95}],[1.44',1934,'1.28',1934,1937,1939,1939,1939,1939,'.1,1.5],[0.944,0,1,{n:97}],[1.28',1934,'0.556,0.722,0,{n:','99','}],[1,0.75,0,{n:','100}],[1.44,0.75],[',1967,'102',1969,'103}],[1.44,0.75],[0.472',1815,'20}],[0.472',1815,'21}],[0.528',1815,'22}],[0.528',1815,'23}],[0.528',1815,'24}],[0.528',1815,'25}],[0.667',1815,'26}],[0.667',1815,'27}],[1',1781,'113}],[1',1815,'114}],[1',1819,'115}],[1',1847,'116}],[1.06,0,1.8,{delim:{top:118,bot:116,rep:117}}],[1.06,0,0.6],[1.06,0.04,0.56],[0.778',1807,'top:126,','bot:127,rep:119','}}],[0.667',1807,1912,'rep:63}}],[0.667',1807,1913,'45,0.12],[0.',2008,2008,2008,'778',1807,2000,'rep:119}}],[0.778',1807,2001,'}}]],cmti10:[[0.627',832,'133}],[0.818',593,'767',832,'094}],[0.692',593,'664',832,'153}],[0.743',832,'164}],[0.716',832,'12}],[0.','767',832,1760,'716',832,'0599}],[0.767',832,1760,'716',832,'103}],[0.','613',1089,'212,krn:{"39":0.104,"63":0.104,"33":0.104,"41":0.104,"93":0.104},lig:{"105":',617,'562',1089,2043,'588',1089,2043,'882',1089,2043,'894',1089,2043,'307',986,'0767}],[0.332',901,'ic:0.0374}],[0.511',619,'511',615,'0969','}],[0.511,0.','628,0,{ic:0.083}],[0.511',615,'108',2069,'562,0,{ic:0.',2043,'831',619,'46,0,0.17],[0.537',1089,1788,'716',986,'0751}],[0.716',986,'0751',2069,'528,0.0972,{ic:0.0919}],[0.883',832,2032,'985',832,2032,'767,0.732,0.0486,{ic:0.094}],[0.256',648,649,'256,"76":-0.321}}],[0.307',615,'124,lig:{"96":60}}],[0.514',615,'0696}],[0.818',1089,'0662}],[0.769',619,'818,0.75,0.0556',',{ic:0.136}],[0.','767',615,'0969}],[0.307',615,'124,krn:{"63":0.102,"33":0.102',666,'409',',0.75,0.25,{ic:0.162}],[0.','409,0.75,0.25,{ic:0.0369',2069,'75,0,{ic:0.149}],[0.767,0.562,0.0567,{ic:0.0369}],[0.307,0.106',629,'358',986,'0283,',677,'123}}],[0.307,0.106],[0.511',2113,'511,0.644,0',',{ic:0.136}],[0.511,0.644,0',2125,2125,2125,'.194',2125,2125,2125,'.194',2125,2125,2105,'307',986,'0582}],[0.307',901,'ic:0.0582}],[0.307,0.5,0.194,{ic:0.0756}],[0.767,0.367,-0.133,{ic:0.0662',2069,'5',629,'511',615,'122,lig:{"96":62}}],[0.767',615,'096}],[0.743',706,'110','":-0.0256,"','108',2152,'114',2152,'117',2152,'109',2152,'116',2152,'105',2152,'67',2152,'79',2152,'71',2152,'104',2152,'98',2152,'85',2152,'107',2152,'118',2152,'119',2152,'81',2152,'84":-0.0767,"89":-0.0767,"86":-0.102,"87":-0.102,"101":-0.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99','":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.704',832,2043,'716',832,'145}],[0.755',832,'094,krn:{"88',2152,'87',2152,'65',2152,'86',2152,'89":-0.0256}}],[0.678',832,2032,'653',832,'133,krn:{"111','":-0.0767,"','101',2207,827,'0767,"114',2207,'97',2207,'65":-0.102,"79',2152,'67',2152,'71',2152,'81":-0.0256}}],[0.','774',832,'0872}],[0.743',832,'164}],[0.386',832,'158}],[0.525',832,'14}],[0.769',832,'145,krn:{"79',2152,'67',2152,'71',2152,2221,'627',706,2185,'":'],
  ['-0.0511,"103','":-0.0511',',"113',1,'}}],[0.','897,0.683',',0,{ic:0.','164}],[0.','743,0.683',6,7,'767,0.683',6,'094',',krn:{"','88','":-0.0256,"','87',16,'65',16,'86',16,'89','":-0.0256}}],[0.','678,0.683',6,'103',14,'65":-0.0767}}],[0.','767,0.683',',0.194,{ic:0.','094}],[0.729,0.683',6,'0387',14,'110',16,'108',16,'114',16,'117',16,'109',16,'116',16,'105',16,'67',16,'79',16,'71',16,'104',16,'98',16,'85',16,'107',16,'118',16,'119',16,'81',16,'84','":-0.0767,"','89',71,'86','":-0.102,"','87',75,'101":-0.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','562,0.683',6,'12}],[0.','716,0.683',6,'133',14,'121',71,'101":-0.0767,"111":-0.0767,"114":-0.0767,"97":-0.0767,"117":-0.0767,"65":-0.0767}}],[0.','743,0.683',6,7,'743,0.683',6,'184',14,'111',71,'101',71,'117',71,'114',71,'97',71,'65',75,'79',16,'67',16,'71',16,'81',24,'999,0.683',6,'184',14,29,'743,0.683',6,'158',14,'79',16,'67',16,'71',16,'81',24,'743,0.683',6,'194',14,88,'613,0.683',6,'145','}],[0.307,0.','75,0.25',',{ic:0.188}],[0.514',',0.694',6,'169',141,142,',{ic:0.105','}],[0.511,0.','694',6,'0665',141,'668',6,'118',141,'694',6,'124,lig:{"96":92',4,'511,0.','431',6,'0767}],[0.','46',144,6,'0631',14,78,'46,0.','431',6,'0565',14,78,'511',144,6,'103',14,'108":0.0511}}],[0.',173,'431',6,'0751',14,78,'307',144,31,'212',14,'39":0.104,"63":0.104,"33":0.104,"41":0.104,"93":0.104},lig:{"105":','12,"102":11,"108":13}}],[0.',173,'431',31,'0885',150,'694',6,'0767',141,'655',6,'102',141,'655',31,'145}],[0.46',144,6,'108}],[0.','256',144,6,'103',14,184,'818,0.431',6,166,'562,0.431',6,205,14,'39":-0.102',4,163,'431',6,'0631',14,78,163,'431',31,'0631',14,78,173,'431',31,'0885}],[0.','422,0.431',6,'108',14,78,'409,0.431',6,'0821}],[0.332,0.615',6,'0949}],[0.537,0.431',6,166,173,'431',6,216,'664,0.431',6,'108',14,184,'464,0.431',6,81,'486,0.431',31,247,'409,0.431',6,'123',150,'431',6,'0921',',lig:{"45":124}}],[1.','02,0.431',6,281,150,'694',6,'122',150,'668',6,'116',150,'668',6,'105}]],cmbx10:[[0.692',',0.686],[0.','958',298,'894',298,'806',298,'767',298,'9',298,'831',298,'894',298,'831',298,'894',298,'831',298,'671',144,6,'109,krn:{"39":0.109,"63":0.109,"33":0.109,"41":0.109,"93":0.109},lig:{"105":','14,"108":15',4,'639',',0.694],[0.','639',326,'958',326,'958',326,'319',',0.444],[0.','351',',0.444,0.194','],[0.575,0.','694',337,'694',337,'632',337,'694',337,'596],[0.869',326,'511,0,0.17],[0.597',326,'831',334,'894,0.444',337,'542,0.0972],[1.04,0.686],[1.17',298,'894,0.735,0.0486],[0.319',',0.444,0,{krn:{"','108":-0.319,"76":-0.378',4,'35',',0.694,0,{lig:{"96":','60',4,'603',326,'958',144,',0.194',337,'75,0.0556],[0.','958,0.',370,'894',326,'319',',0.694,0,{krn:{"','63":0.128,"33":0.128},lig:{"39":34',4,'447,0.',142,'],[0.',379,142,337,'75],[0.894,0.633,0.133],[0.','319,0.156',',0.194],[0.','383,0.444,0,{lig:{"45":123',4,386,337,142,337,'644',337,'644',337,'644',337,'644',337,'644',337,'644',337,'644',337,'644',337,'644',337,'644],[0.319',334,'319',336,'],[0.35,0.5',387,'894,0.391,-0.109],[0.543,0.5',387,'543',361,'62',4,'894',326,'869',',0.686,0,{krn:{"','116','":-0.0319,"','67',429,'79',429,'71',429,'85',429,'81',429,'84":-0.0958,"89":-0.0958,"86":-0.128,"87":-0.128}}],[','0.818',298,'831',298,'882',427,'88',429,'87',429,'65',429,'86',429,'89','":-0.0319}}],[0.','756',298,'724,0.686,0,{','krn:{"111":-0.0958,"101":-0.0958,"117":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.128,"79":-0.0319,"67":-0.0319,"71":-0.0319,"81":-0.0319}}],[','0.904',298,'9',298,'436',427,'73":0.0319',4,'594',298,'901',427,'79',429,'67',429,'71',429,'81',456,'692',427,440,'1.09',298,'9',298,'864',427,'88',429,'87',429,'65',429,'86',429,'89',456,'786',427,'65":-0.0958,"111',429,'101',429,'97',429,'46":-0.0958,"44":-0.0958}}],[0.','864,0.686',387,'862',427,'116',429,'67',429,'79',429,'71',429,'85',429,'81',429,440,'0.639',298,'8',427,'121',429,'101":-0.0958,"111":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.0958,"117":-0.0958}}],[0.','885',298,'869,0.686',6,'016,',460,'1.19,0.686',6,'016,',460,'0.869',427,'79',429,'67',429,'71',429,'81',456,'869,0.686',6,'0287',14,532,'703',298,'319,0.',142,'],[0.603',326,560,142,337,'694],[0.319',326,'319',361,'92',4,'559',357,'118',429,'106":0.0639,"121',429,'119',456,'639',144,',0',',{krn:{"101":0.0319,"111":0.0319,"120":-0.0319,"100":0.0319,"99":0.0319,"113":0.0319,"118":-0.0319,"106":0.0639,"121":-0.0319,"119":-0.0319}}],[0.','511',357,'104',429,'107',456,'639',326,'527',334,'351',144,6,322,197,'575,0.444',31,'016',14,'106":0.0319',4,'639',376,'116',429,'117',429,'98',429,'121',429,'118',429,'119',456,'319',326,'351',144,387,'607',376,'97":-0.0639,"101',429,'97',429,'111',429,'99',456,'319',326,'958',357,'116',429,'117',429,'98',429,'121',429,'118',429,'119',456,'639',357,'116',429,'117',429,'98',429,'121',429,'118',429,'119',456,'575,0.444,0',584,'639',336,584,'607',336,'],[0.474',334,'454',334,379,'635,0,{krn:{"121',429,'119',456,'639',357,'119',456,'607,0.444',6,'016',14,'97":-0.0639,"101',429,'97',429,'111',429,'99',456,'831,0.444',6,'016',14,'101',429,'97',429,'111',429,'99',456,'607',334,685,31,'016',14,'111',429,'101',429,'97',429,508,163,'444',337,'444',6,'0319',282,'15,0.444',6,'0319}],[0.575',144,337,'694',337,'694]]};','jsMath.Img','={fonts:[50,60,70,85,100,120,144,173,207,249,298,358,430],w:{"50":6.9,"60":8.3,"70":9.7,"85":11.8,"100":13.9,"120":16.7,"144":20,"173":24,"207":28.8,"249":34.6,"298":41.4,"358":49.8,"430":59.8},best:4,update:{},factor:1,loaded:0,SetFont',':function(','_a2){for(var _a3 in _a2){if(!','this.update[_a3',']){',741,']=[];}',741,']=',741,'].concat(_a2[_a3]);}},AddFont',739,'_a4,def){if(!',737,'[_a4]){',737,'[_a4]={};}','jsMath.Add(jsMath.','Img[_a4],def);},UpdateFonts',':function(){','var _a6=this.update;','if(!this.loaded){','return;}var ','_a7=this[','jsMath.Img.fonts','[this.best]];','for(var _a8 in _a6){','for(var i=0;i<','_a6[_a8].length;i++){var c=_a6[_a8][i];if(c=="all"){for(c in ','jsMath.TeX[','_a8]){',767,'_a8][c].img','={};}}else{',767,770,'={};}}}this.update={};},BestSize',757,'var w=jsMath.em*this.factor;var m=','this.w[this.fonts[','0]];for(var i=1;i<','this.fonts','.length;i++){','if(w<(',777,'i]]+2*m)/3){','return ','i-1;}m=',777,'i]];}',784,'i-1;},Scale',757,759,'return;}this.best=this.BestSize();this.em=',737,'.w[',779,763,'this.scale','=(jsMath.em/this.em);','if(Math.abs(',797,'-1)<0.12){',797,'=1;}},URL',739,'_ae,_af,C){var _b1=(','jsMath.Controls.cookie.','alpha)?"/alpha/":"/plain/";if(C==null){C="def.js";}else{C="char"+C+".png";}if(_af!=""){_af+="/";}','return this.','root+_ae+_b1+_af+C;},LoadFont',739,'_b2){',759,'this.Init();}jsMath.Setup.Script(this.URL(_b2,""));},Init',757,'if(',806,'print||',806,'stayhires','){',806,'print=',806,819,';this.factor*=3;if(!','jsMath.Controls.','isLocalCookie||!jsMath.Global.isLocal){',826,'SetCookie(0);}if(','jsMath.Browser.','alphaPrintBug){',806,'alpha=0;}}var _b3="0123456789ABCDEF";this.HexCode=[];',765,'128;i++){var h=Math.floor(i/16);var l=i-16*h;this.HexCode[i]=_b3.charAt(h)+_b3.charAt(l);}this.loaded=1;}};jsMath.HTML={Em',739,'m){var n=5;if(m<0){n++;}',799,'m)<0.000001){m=0;}var s=String(m);s=s.replace(/(\\.\\d\\d\\d).+/,"$1");',784,'s+"em";},Spacer',739,'w){if(w==0){return "";}',784,830,'msieSpaceFix+"<','span class=\\"spacer\\" style=\\"margin-','left:"+this.Em(','w)+"\\"></span>";},Blank',739,'w,h,d,_be){var _bf="";var _c0="";if(_be){_c0+="border-',848,'w)+" solid;";if(',830,'widthAddsBorder){w=0;}}if(w==0){if(',830,'blankWidthBug){_c0+="width:1px;";_bf="<',847,'right:-1px\\"></span>";}}else{_c0+="width:"+this.Em(w)+";";}if(d==null){d=0;}if(h){var H=this.Em(h+d);if(_be&&h*jsMath.em<1.5){H="1px";h=1/jsMath.em;}_c0+="height:"+H+";";}if(',830,'mozInlineBlockBug){d=-h;}if(',830,'msieBorderBug&&!_be){d-=jsMath.d;}if(d){_c0+="','vertical-align:"+','this.Em(-d);}',784,'_bf+"<span class=\\"blank\\" ','style=\\""+','_c0+"\\"></span>";},Rule',739,'w,h){if(h==null){h=jsMath.TeX.default_rule_thickness;}',808,'Blank(w,h,0,1);},Class',739,'_c4,_c5){return "<span class=\\""+_c4+"\\">"+_c5+"</span>";},Place',739,'_c6',',x,y){if(Math.abs(x)<0.0001){x=0;}if(Math.abs(y)<0.0001){y=0;}','if(x||y){var _c9','="<span style=\\"position',': relative',';";if(x){_c9+=" margin-',848,'x)+";";}if(y){_c9+=" ','top:"+this.Em','(-y)+";";}_c6=_c9+"\\">"+_c6','+"</span>";}',784,'_c6;},PlaceSeparateSkips',739,'_ca',878,'if(y){_ca',880,881,'; ',885,'(-y)+";"+"\\">"+_ca',887,'if(x){_ca=this.Spacer(x)+_ca',';}return ','_ca;},PlaceAbsolute',739,'_cd',878,'_cd',880,':absolute','; ',848,'x)+"; "+"',885,'(y)+";\\">"+_cd+"&nbsp;</span>";',784,'_cd;},Absolute',739,'_d0,w,h,d,y,H){if(y!="none"){',799,'y)<0.0001){y=0;}_d0',880,908,'; "+"top:"+','jsMath.HTML.','Em(y)+"; left:0em',';\\">"+_d0','+"&nbsp;"+"</span>";}if(d=="none"){d=0;}_d0+=this.Blank(w,h-d,d);if(',830,'msieAbsoluteBug){_d0',880,':relative',925,887,'_d0',880,930,';"+" width: "+',923,'Em(w)+";"+" height: "+',923,'Em(H)+";"+',830,'msieInlineBlockFix+"\\">"+_d0+"</span>";',784,'_d0;}};','jsMath.Box','=function(','_d6,_d7,w,h,d){if(d==null){d=jsMath.d;}this.type="typeset";this.w=w;this.h=h;this.d=d;this.bh=h;this.bd=d;this.x=0;this.y=0;','this.html=','_d7;this.format=_d6;};',755,'Box,{defaultH:0,Null:','new jsMath.Box("','null","",0,0,0),Text',739,'_db,_dc,_dd,_de,a,d){var _e1=','jsMath.Typeset.AddClass(','_dc,_db);_e1=','jsMath.Typeset.','AddStyle(','_dd,_de,_e1);var BB','=jsMath.EmBoxFor(','_e1);var TeX=',958,'TeX(_dd,_de);var bd=((_dc=="cmsy10"||_dc=="cmex10")?BB.h-TeX.h:TeX.d*BB.h/TeX.hd);','var box=',952,'text",_db,BB.w,BB.h-bd,bd);box.style=_dd;box.size=_de;','box.tclass','=_dc;if(d!=null){box.d=d','*TeX.scale;}else{box.','d=0;}if(a==null||a==1){box.h=0.9*TeX.M_height;}else{box.h=1.1*TeX.x_height+TeX.scale*a;}','return box;},','TeX',739,'C,_e7,_e8,_e9){var c=',767,'_e7][C];if(','c.d==null){c.d=0;}','if(c.h','==null){c.','h=0',';}if(c.img!=null','&&c.c!=""){this.TeXIMG(_e7,C,',958,'StyleSize(_e8,_e9));}var _eb=',958,'TeX(_e8,_e9).scale;var h=c.h+',767,'_e7].dh;',965,952,'text",c.c,c.w*_eb,h*_eb,c.d*_eb);box.style=_e8;box.size=_e9;if(c.tclass){',968,'=c.tclass;if(c.img){box.bh=c.img.bh;box.bd=c.img.bd;}else{box.bh=_eb*jsMath.h;box.bd=_eb*jsMath.d;}}else{',968,'=_e7;box.bh=_eb*',767,'_e7].h;box.bd=_eb*',767,'_e7].d;if(',830,'msieFontBug&&box.html.match(/&#/)){box.html+="<span style=\\"display:none\\">x</span','>";}}',972,'TeXfallback',739,'C,_ef,_f0,_f1','){var c=',767,'_ef][C];if(!c.tclass){c.tclass=_ef',982,'){',808,'TeXnonfallback(',1007,');}if(c.h!=null&&c.a',980,'a=c.h-1.1*jsMath.TeX.x_height;}var a=c.a;var d=c.d;',965,'this.Text(c.c,c.tclass,_f0,_f1,a,d);var _f6=',958,'TeX(_f0,_f1).scale;if(c.bh!=null){box.bh=c.bh*_f6;box.bd=c.bd*_f6;}else{var h=box.bd+box.bh;var _f8=',956,968,',box.html);_f8=',958,959,'_f0,_f1,_f8);box.bd',961,'_f8+',923,'Blank(1,h)).h-h;box.bh=h-box.bd;if(_f6==1){c.bh=box.bh;c.bd=box.bd;}}if(jsMath.',1002,'>";}',972,'TeXIMG',739,'_f9,C,_fb){var c=',767,'_f9][C];if(c.img.size!=null&&c.img.size==_fb&&c.img.best!=null&&c.img.best==','jsMath.Img.best','){',760,'_fd=(',737,'.scale!=1);var id=',1041,'+_fb-4;if(id<0){id=0;_fd=1;}else{if(id>=',762,'.length){','id=',762,'.length-1',';_fd=1;}}var _ff=',737,'[',762,'[id]];var img=_ff[_f9][C];var _101=1/',737,'.w[',762,'[id]];if(id!=',1041,'+_fb-4){if(c.w!=null){_101=c.w/img[0];}else{_101*=',762,'[_fb]/',762,'[4]*',762,'[',1041,']/',762,'[id];}}var w=img[0]*_101;var h=img[1]*_101;var d=-img[2]*_101;var v;var _106=(c.w==null||Math.abs(c.w-w)<0.01)?"":" margin-right:"+',923,'Em(c.w-w)+";";var _107="";C=',737,'.HexCode[C];if(!_fd&&!',806,'scaleImg){if(2*w<h||(',830,'msieAlphaBug&&',806,'alpha)){_107="height',':"+(img[1]*',830,'imgScale',')+"px;";}_107+=" width:"+(img[0]*',830,1087,')+"px;";v=-img[2]+"px";}else{if(2*w<h||(',830,'msieAlphaBug&&',806,1084,':"+',923,'Em(h*',830,1087,')+";";}_107+=" width:"+',923,'Em(w*',830,1087,')+";";v=',923,'Em(d);}var _108=(Math.abs(d)<0.01&&!',830,'valignBug)?"":" ',864,'v+";";var URL=',737,'.URL(_f9,',762,'[id],C);if(',830,'msieAlphaBug&&',806,'alpha){','c.c="<img src=\\""+','jsMath.blank+"\\" "+"',868,830,'msieCenterBugFix+_107+_108+_106','+" filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src="+"\'"+URL+"\', sizingMethod=\'scale\'"+");\\" />";}else{',1121,'URL+"\\" ',868,830,1125,'+"\\" />";}c.tclass="normal";c.img.bh=h+d;c.img.bd=-d;c.img.size=_fb;c.img.best=',1041,';},Space',739,'w){',784,952,'html",',923,'Spacer(w),w,0,0);},Rule',739,871,'var html=',923,'Rule(w,h);',784,952,'html",html,w',',h,0);},GetChar',739,'code,font){var c=',767,'font][code];','if(c.img!=null){this.TeXIMG(font,code',',4);}if(c.tclass',980,'tclass=font;}if(!c.computedW){c.w',961,956,'c.tclass,c.c)).w',';if(c.h==null){c','.h=jsMath.Box.defaultH;}if(',978,'c.computedW=1',901,'c;},DelimBestFit',739,'H,c,font,','_114){if(c==0&&font','==0){return null;}','var C;var h;','font=jsMath.TeX.fam[','font];var ','isSS=(_114.charAt(1)=="S");var isS=(_114.charAt(0)=="S");while(c!=null){C=',767,'font][c];','if(C.h==null){C',1163,'C.d==null){C.d=0;}h=C.h+C.d;if(C.delim','){return [c,font',',"",H];}if(isSS&&0.5*h>=H',1181,',"SS",0.5*h];}if(isS&&0.7*h>=H',1181,',"S",0.7*h];}if(h>=H||C.n==null',1181,',"T",h];}c=C.n',901,'null;},DelimExtendRelative',739,1169,'a,_11d){var C=',767,1177,'var top=this.GetChar(C.delim.top?C.delim.top:C.delim.rep,font);var rep=this.GetChar(C.delim.rep,font);var bot=this.GetChar(C.delim.bot?C.delim.bot:C.delim.rep,font);','var ext=',956,'rep.tclass,rep.c);','var w=rep.w;var h=','rep.h+rep.d',';var y;var dx;','if(C.delim.mid){var mid=this.GetChar(C.delim.mid,font);var n=Math.ceil((H-(top.h+top.d)-(mid.h+mid.d',')-(','bot.h+bot.d','))/(2*(',1201,')));H=2*n*(',1201,')+(top.h+top.d)+(','mid.h+mid.d',')+(',1205,');if(_11d){y','=0;}else{','y=H/2+a;}var Y=y;',1144,923,'Place(',956,'top.tclass,top.c),0,','y-top.h)+',923,1219,956,'bot.tclass,bot.c),-(','top.w+bot.w)/2,y-(H-bot.d))+',923,1219,956,'mid.tclass,mid.c','),-(bot.w+mid.w)/2,y-(H+mid.h-mid.d)/2);dx=(w-mid','.w)/2;if(Math.abs(dx)<0.0001){dx=0;}if(dx){html+=jsMath.HTML.Spacer(dx);}y-=top.h+top.d+rep.h;for(var i=0;i<n;i++){html+=jsMath.HTML.Place(ext,-w,y-i*h);}','y-=H/2-rep.h/2;',765,'n;i++){','html+=',923,1219,'ext,-w,y-i*h);}}','else{var n=Math.ceil((H-(top.h+top.d)-(bot.h+bot.d','))/(',1201,'));if(top.h+top.d<0.9*(',1201,')){n=Math.max(1,n);}H=n*(',1201,1210,1205,');if(_11d){y',1215,'y=H/2+a;}var Y=y;',1144,923,1219,956,1221,'y-top.h);dx=(w-top',1233,1237,923,1219,956,1226,'w+bot.w)/2,Y-(H-bot.d));}if(_11d){h=top.h;}else{h=H/2+a;}','var box=new jsMath.Box("html",html,rep.w,h,H-h);box.bh=jsMath.TeX[font].h;box.bd=jsMath.TeX[font].d;return box;},','DelimExtendAbsolute',739,1169,'a,_136){var Font=',767,1174,'C=Font[c];var html;',1196,1203,'-0.05)-(',1205,'-0.05))/(','2*(','rep.h+rep.d-0.05',')));H=2*n*(',1280,1210,1211,'-0.05)+(',1205,'-0.05);html=','jsMath.HTML.PlaceAbsolute(',956,1221,'0);var h=',1280,';var y=top.d-0.05+rep.h;var ext=',956,'font,rep.c);',765,'n;i++){',1237,1288,'ext,0,y+i*h);}',1237,1288,956,1231,'),0,y+n*h-rep.h+mid.h);y+=n*h+',1211,'-0.05;',765,'n;i++){',1237,1288,'ext,0,y+i*h);}',1237,1288,956,'bot.tclass,bot.c),0,y+n*h-rep.h+bot.h);}',1241,1278,1280,'));H=n*(',1280,1210,1205,'-0.05);html=',1288,956,1221,'0);var h=',1280,';var y=top.d-0.05+rep.h;var ext=',956,1199,765,'n;i++){',1237,1288,'ext,0,y+i*h);}',1237,1288,956,1316,'var w=top.w;if(_136){h=top.h;y',1215,'h=H/2+a;y=h-top.h;}html=',923,'Absolute(html,w,','Font.h,"none",-y,top.h);',1266,'Delimiter',739,'H,_14c,_14d,_14e){var size=4;var TeX=',958,'TeX(_14d,size);if(!_14c){',808,'Space(TeX.nulldelimiterspace);}','var ','CFSH=this.DelimBestFit(H,_14c[','2],_14c[1],_14d);if(CFSH==null||CFSH[3]<H){',1357,'4],_14c[3],_14d);}if(CFSH==null){',808,1355,'if(CFSH[2]==""){',808,'DelimExtend(H,','CFSH[0],CFSH[1],','TeX.axis_height',',_14e);}',965,945,'.TeX(',1366,'CFSH[2],size',').Styled();if(_14e){box.y=-',767,'CFSH[1]].dh',970,'y=-((box.h+box.d)/2-box.d-',1367,');}',799,'box.y)<0.0001){box.y=0;}if(box.y','){box=jsMath.Box.SetList','([box],',1373,');}',972,'GetCharCode',739,'code){var ',1173,'code[0]];var Font=',767,1174,'c=Font[code[1]];',1155,'[1],4);}if(c.w',980,'w',961,956,1161,';}if(c.font',980,'font=font',901,'c;},AddClass',739,'_157,html',',font){if(_157==null){_157=font',901,956,1409,');},LayoutRelative',739,'size,_15b,_15c,_15d,_15e,_15f){if(_15c==null){_15c=[];}if(_15d==null){_15d=[];}if(_15e==null){_15e=[];}var _160=jsMath.sizes[size]/100',';var W=[];var H=[];var D=[];var ','_164=-1000;var bh=_164;var bd=_164',';var i;var j;var row;for(i=0;i<','_15b',780,'if(_15e[i]==null){_15e[i]=0;}row=_15b','[i];H[i]=jsMath.h*','_160',';D[i]=jsMath.d*','_160',';for(j=0;j<','row.length;j++){row[j]=row[j].Remeasured();if(row[j].h>H[i]){H[i]=row[j].h;}if(row[j].d>D[i]){D[i]=row[j].d;}if(j>=W.length){W[j]=row[j].w;}else{if(row[j].w>W[j]){W[j]=row[j].','w;}}if(row[j].bh>bh){bh=row[j].bh;}if(row[j].bd>bd){bd=row[j].bd;}}}if(_15e[_15b','.length]==null){','_15e[_15b.length]=0;}if(bh==_164){bh=0;}if(bd==_164){bd=0;}','var HD=(jsMath.hd-0.01)*','_160;var dy=(_15f||1)*_160/6;','var html="";var ','pW=0;var cW=0;var w;var h;var y;var box;var _173;var _174',';for(j=0;j<W.length;j++){','_173=[];y=-H[0]-_15e[0];pW=0;for(i=0;i<_15b',780,'_174=_15b[i][j];if(_174&&_174.format!="null"){','if(_15c[j]=="','l"){w',1215,1440,'r"){w=W[j]-_174.w;}else{w=(W[j]-_174.w)/2;}}_174.x=w-pW;pW=_174.w+w;_174.y=y;_173[_173.length]=_174;}if(i+1<_15b',1050,'y-=','Math.max(HD,D[i]+H[i+1])+dy+','_15e[i+1];}}if(_15d[j]==null){_15d[j]=_160;}if(_173.length>0',1383,'(_173,"T",size);',1237,923,1219,'box.html,cW,0);cW=W[j]-box.w+_15d[j];}else{cW+=_15d[j];}}w=-_15d[W',1053,'];y=(H',1053,')*dy+_15e[0];for(i=0;i<W',780,'w+=W[i]+_15d[i];}for(i=0;i<H',780,'y+=Math.max(HD,H[i]+D[i])+','_15e','[i+1];}h=y/2+jsMath.TeX.axis_height;var d=y-h;',1237,923,'Spacer(cW-_15d[W',1053,']+_160/6);html=',923,1219,'html,_160/6,h);box=',952,1149,'+_160/3,h,d);box.bh=bh;box.bd=bd;',972,'LayoutAbsolute',739,'size,_177,_178,_179,_17a,_17b){if(_178==null){_178=[];}if(_179==null){_179=[];}if(_17a==null){_17a=[];}var _17c=jsMath.sizes[size]/100;',1432,'_17c;var dy=(_17b||1)*_17c/6',1417,'w=0;var h;var x;var y',1419,'_177',780,'if(_17a[i]==null){_17a[i]=0;}row=_177',1423,'_17c',1425,'_17c',1427,1428,'w;}}}}if(_17a[_177',1430,'_17a[_177.length]=0;}y=(H',1053,')*dy','+_17a[0];for(i=0;i<','H',780,1462,'_17a',1464,1434,'_18b;w=_17c/6',1436,'y=H[0]-h',1499,'_177',780,'_18b=_177[i][j];if(_18b&&_18b.format!="null"){','if(_178[j]&&_178[j]=="','l"){x',1215,1513,'r"){x=W[j]-_18b.w;}else{x=(W[j]-_18b.w)/2;}}',1237,1288,'_18b.html,w+x,y-Math.max(0,_18b.bh-jsMath.h*_17c));}if(i+1<_177',1050,'y+=',1447,'_17a[i+1];}}if(_179[j]==null){_179[j]=_17c;}w+=W[j]+_179[j];}w=-_179[W',1053,']+_17c/3;for(i=0;i<W',780,'w+=W[i]+_179[i];}html=',923,'Spacer(_17c/6',')+html+',923,1530,');if(',830,'spanHeightVaries){y=h-jsMath.h;}else{y=0;}html=',923,1346,'h+d,d,y,H[0]);',965,952,1149,'+_17c/3,h,d);',972,'InternalMath',739,'text,size){text=text.replace(/@\\(([^)]*)\\)/g,"<$1>");if(!text.match(/\\$|\\\\\\(/)){',808,'Text(text,"normal","T",size).Styled();}var i=0;var k=0;var c;var _192="";var _193=[];var _194;var html;var box;while(i<text',1050,'c=text.charAt(i++);if(c','=="$"){if(_192=="$"){','_194=jsMath.Parse(text.slice(k,i-','1','),null,size);if(_194.error){_193[_193.length]=this.Text(_194.error,"error","T",size,1,0.2);}else{_194.Atomize();_193[_193.length]=_194.mlist.Typeset("T",size).Styled();}_192="";k=i',';}else{','_193[_193.length]=this.Text(text.slice(k',',i-1','),"normal","T",size,1,0.2);','_192="$";k=i;}}else{if(c=="\\\\"){',1551,'=="("&&_192==""){',1557,',i-2',1559,'_192=")";k=i;}else{if(c==")"&&_192==")"){',1553,'2',1555,';}}}}}',1557,1559,808,'SetList(_193,"T",size);},Set',739,'box',',_198,size',',_19a){if(box&&box.type){','if(box.type=="typeset"){',784,'box;}if(box.type=="mlist"){box.mlist.Atomize(_198,size);',784,'box.mlist.Typeset(_198,size);}if(box.type=="text"){box=this.Text(box.text,',968,1577,',box.ascend||null,box.descend||null',');if(_19a!=0){box.Styled();}return box;}','box=this.TeX(box.c,box.font',1577,1587,784,945,'.Null;},SetList',739,'_19b,_19c,size){var _19e=[];var box;',765,'_19b',780,'box=_19b[i];',1579,'box=','jsMath.mItem','.Typeset(box);}_19e[_19e.length]=box;}var _1a1=new jsMath.Typeset(_19e);',784,'_1a1.Typeset(_19c,size);}});','jsMath.Package(jsMath.','Box,{Styled',757,'if(this.format=="text"){',948,956,'this.tclass,this.html);',948,958,959,'this.style,this.size,this.html);delete this.tclass;delete this.style;this.format="html";}',784,'this;},Remeasured',757,'if(this.w>0){this.w',961,'this.html).w',901,'this;}});',1602,946,'type,def){this.type=type;jsMath.Add(this,def);};',755,'mItem,{Atom',739,'type,_1a5','){return new jsMath.mItem','(type,{atom:1,nuc',':_1a5});},TextAtom',739,'type,text,_1a8,a,d){var atom=new ',1602,1633,':{type:"text",text:text,tclass:_1a8}});if(a','!=null){atom.nuc.','ascend=a;}if(d',1640,'descend=d',901,'atom;},TeXAtom',739,'type,c,font',1632,1633,':{type:"TeX",c:c,font:font}});},Fraction',739,'name,num,den,_1b2,left,_1b4',1632,'("fraction",{from:name,num:num,den:den,thickness:_1b2,left:left,right:_1b4});},Space',739,'w',1632,'("space",{w:w});},Typeset',739,'box',1632,'("ord",{atom:1,nuc:box});},HTML',739,'html',1632,'("html",{html:html});}});jsMath.mList',946,'list,font,size,_1bb){if(list){this.mlist=list;}else{this.mlist=[];}if(_1bb==null){_1bb="T";}if(size==null){size=4;}this.data={openI:null,overI:null,overF:null,font:font,','size:size,style:_1bb','};this.init={',1669,'};};',1606,'mList,{Add',739,'box){return (this.mlist[','this.mlist.length',']=box);},Get',739,'i){',808,'mlist[i];},Length',757,808,'mlist.length;},Last',757,'if(',1677,1171,808,'mlist[',1677,'-1];},Range',739,'i,j){if(j==null){j=',1677,901,'new jsMath.mList(this.mlist.slice(i,j+1));},Delete',739,1695,'i;}if(','this.mlist.splice','){',1702,'(i,j-i+1);}else{var _1c2=[];for(var k=0;k<',1677,';k++){if(k<i||k>j){_1c2[_1c2.length]=this.mlist[k];}}this.mlist=_1c2;}},Open',739,'left){',965,'this.Add(new ',1602,'("boundary",{data:this.data}));var _1c6=this.data;this.data={};for(var i in _1c6){this.data[i]=_1c6[i];}'],
  ['delete ','this.data','.overI',';delete ',1,'.overF;',1,'.openI=','this.mlist','.length','-1;if(left!=null','){box','.left=left;}','return ','box;},Close',':function(','_1c8){if(_1c8!=null){_1c8=new ','jsMath.mItem','("boundary",{right:_1c8});}var atom;var open=',1,'.openI;','var over=this.data.overI;var from=this.data.overF;',1,'=',8,'[open].data;if(over){','atom=jsMath.mItem.Fraction(from.name,{type:"mlist",mlist:this.Range(open+1,over-1)},{type:"mlist",mlist:this.Range(over)},from.thickness,from.left,from.right);','if(_1c8){var _1cd','=new jsMath.','mList([',8,'[open],atom,_1c8]);atom=',17,'.Atom("inner','",{type:"mlist",mlist:','_1cd});}}else{var _1ce=open+1;if(_1c8){this.Add(_1c8);_1ce--;}atom=',17,'.Atom((_1c8)?"inner":"ord',34,'this.Range(_1ce)});}this.Delete(open,this.Length());',13,'this.Add(atom);},Over',':function(){',21,'var ',26,8,'=[atom];},Atomize',15,'_1d2',',size){var ','_1d4;var prev="";','this.style','=_1d2;','this.size','=size;for(var i=0;i<',8,9,';i++){','_1d4=',8,'[i];_1d4.delta=0;if(_1d4.type=="choice"){',8,'=this.Atomize.choice(',52,',_1d4,i,',8,');i--;}','else{if(','this.Atomize[_1d4.type',']){var f=',69,'];f(',52,',',54,',_1d4,prev,this,i);}}prev=_1d4;}if(_1d4&&_1d4','.type=="bin"){','_1d4','.type="ord";}','if(',8,9,'>=2&&_1d4.','type=="boundary','"&&',8,'[0].',84,'"){this.','AddDelimiters','(_1d2,size);}},',90,15,'_1d8',50,'_1da=-10000;var h=_1da;var d=_1da;for(var i=0;i<',8,9,58,'var _1de=',8,'[i];if(_1de.atom||_1de.type=="box"){h','=Math.max(','h,_1de.nuc.h+_1de.nuc.y);d',103,'d,_1de.nuc.d-_1de.nuc.y);}}var TeX','=jsMath.TeX',';var a=','jsMath.Typeset.','TeX(_1d8,size).axis_height;var _1e1',103,'h-a,d+a);var H',103,'Math.floor(','TeX.integer','*_1e1/500)*TeX.delimiterfactor,',115,'*(2*_1e1-TeX.delimitershortfall))/',115,';var left=',8,'[0];var _1e4=',8,'[',8,9,'-1];left.nuc','=jsMath.Box.','Delimiter(H,','left.left',',_1d8);_1e4.nuc',128,129,'_1e4.right',',_1d8);left.type="open";left','.atom=1',3,130,';_1e4.type="close";_1e4',136,3,134,';},','Typeset',15,'_1e5',50,'_1e7',28,144,'(',8,');',13,'_1e7.',144,'(_1e5,size);}});','jsMath.Add(jsMath.','mList.prototype.Atomize,{style',15,'_1e8,size,_1ea,prev,_1ec){_1ec.style=_1ea.style;},size',15,'_1ed,size,_1ef,prev,_1f1){_1f1.size=_1ef.size;},phantom',15,'_1f2,size,_1f4){','var box','=_1f4.nuc',128,'Set(','_1f4.phantom',',_1f2',',size);','if(_1f4.h',11,'.Remeasured();','box.html','=','jsMath.HTML.','Spacer(','box.w);}else{',176,'="",box.w=0;}if(!_1f4.v){','box.h=box.d=','0;}box.bd=box.bh=0',3,170,';_1f4.type="box";},smash',15,'_1f6,size,_1f8){',166,'=_1f8.nuc',128,169,'_1f8.smash',',_1f6,','size).Remeasured();',183,'box.bd=box.bh=0',3,194,';_1f8.type="box";},raise',15,'_1fa,size,_1fc){_1fc.nuc',128,169,'_1fc.nuc,_1fa',',size);var ','y=_1fc.raise;_1fc.nuc.html=',178,'Place(_1fc.nuc.html,0,y);_1fc.nuc.h+=y;_1fc.nuc.d-=y;_1fc','.type="ord";','_1fc',136,';},lap',15,'_1fe,size,_200){',166,128,169,'_200.nuc,_1fe,',196,'var _202=[box];','if(_200.lap=="','llap"){box.x=-box.w;}else{',223,'rlap"){_202[1]=',17,'.Space(-',180,223,'ulap"){box.y=box.d;',183,'0;}else{',223,'dlap"){box.y=-box.h;',183,'0;}}}}_200.nuc',128,'SetList(','_202,_1fe',172,223,'ulap"||_200.lap=="dlap"){_200.nuc.h=_200.nuc.d=0;}_200.type="box";',0,'_200.atom;},bin',15,'_203,size,_205',',prev){if(prev','&&prev.type){var type=prev.type;if(type=="bin"||type=="op"||type=="rel"||type=="open"||type=="punct"||type==""||(',84,'"&&prev.left!="")){_205.type="ord";}}else{_205',79,'jsMath.mList.prototype.Atomize.SupSub(',247,');},rel',15,'_208,size,_20a',248,'.type&&prev',77,'prev',79,253,257,');},close',15,'_20c,size,_20e',248,'.type&&prev',77,'prev',79,253,267,');},punct',15,'_210,size,_212',248,'.type&&prev',77,'prev',79,253,277,');},open',15,'_214,size,_216','){',253,287,');},inner',15,'_217,size,_219','){',253,293,');},','vcenter',15,'_21a,size,_21c','){',166,128,169,'_21c.nuc,_21a',207,'TeX=',109,'TeX(_21a',172,'box.y=','TeX.axis_height','-(box.h-box.d)/2;_21c.nuc=box;_21c',211,253,300,');},','overline',15,'_21f,size,_221','){var TeX=',109,'TeX(_21f',207,'box',128,169,'_221.nuc',',',109,'PrimeStyle','(_21f),',196,'var t=','TeX.default_rule_thickness',';var rule',128,'Rule(box.w,t);rule.x=-rule.w;rule.y','=box.h+3*t;',328,128,'SetList([box,','rule],_21f',172,328,'.h+=t;_221',211,253,320,');},','underline',15,'_226,size,_228','){var TeX=',109,'TeX(_226',207,'box',128,169,'_228.nuc',',',109,331,'(_226),',196,334,335,';var rule',128,338,'=-box.d-3*t-t;',361,128,342,'rule],_226',172,361,'.d+=t;_228',211,253,353,');},radical',15,'_22d,size,_22f','){var TeX=',109,'TeX(_22d',207,'Cp=',109,331,'(_22d);',166,128,169,'_22f.nuc,Cp,',196,334,335,';var p=t;if(_22d=="D"||_22d=="D\'"){p=TeX.x_height;}var r=t+p/4;var surd',128,'Delimiter(','box.h+box.d','+r+t,[0,2,112,3,112],_22d,1);if(surd.d>',404,'+r){r=(r+surd.d-box.h-box.d)/2;}surd.y=box.h+r;var rule',128,'Rule(box.w,t);rule.y=surd.y-t/2;rule.h+=3*t/2;box.x=-box.w;var Cr=',109,'UpStyle(',109,411,'_22d));var root',128,169,'_22f.root||null,Cr,',196,'if(_22f.root){root.y=0.55*(',404,'+3*t+r)-box.d;surd.x',103,'root.w-(11/18)*surd.w,0);rule.x=(7/18)*surd.w;root.x=-(root.w+rule.x);}_22f.nuc',128,'SetList([','surd,root,rule,box],_22d',172,'_22f',211,253,385,');},accent',15,'_23a,size',',_23c){var TeX=',109,'TeX(_23a',207,'Cp=',109,331,'(_23a);',166,128,169,'_23c.nuc',',Cp',207,'u=box.w;var s;var Font;if(_23c.','nuc.type=="TeX','"){Font',107,'[',446,'.font];if(','Font[_23c.nuc.c].krn','&&Font.skewchar){s=',456,'[Font.skewchar];}}if(s==null){s=0;}var c=_23c.accent[2];var font',107,'.fam[_23c.accent[1]];Font',107,'[font];while(Font[c].n&&Font[Font[c].n].w<=u){c=Font[c].n;}var _245=Math.min(box.h,TeX.','x_height);','if(_23c.',450,'"){var _246=',17,'.Atom("ord",',446,');_246.sup=_23c.sup;_246.sub=_23c.sub;_246.delta=0;',253,434,',_246);_245+=(_246.nuc.h-box.h);box=',446,'=_246.nuc',3,'_23c.sup',3,'_23c.sub;}var acc',128,'TeX(c,font,',434,');acc.y=box.h-_245;acc.x=-box.w+s+(u-acc.w)/2;if(Font[c].ic){acc.x-=Font[c].ic*TeX.scale;}',446,128,342,'acc],',434,');if(',446,'.w!=box.w){var _248=',17,'.Space(','box.w-',446,'.w);',446,128,425,446,',_248],',434,');}_23c',211,253,434,',_23c);},op',15,'_249,size,_24b','){var TeX=',109,'TeX(_249',207,'box;','_24b.delta','=0;var isD=(_249','.charAt(0)=="','D");if','(_24b.limits','==null&&isD){_24b.limits=1;}if(_24b.',450,'"){var C',107,'[_24b.nuc.font][','_24b.nuc','.c];if(isD&&C.n){',526,'.c=C.n;C',107,525,'C.n];}box',128,'Set(_24b.nuc,_249,size',');if(C.ic){_24b','.delta=C.ic*TeX.scale;if',520,'||!_24b.sub||','jsMath.Browser.msieIntegralBug',11,128,342,17,494,516,')],','_249,size);}}','box.y=-((',404,')/2-box.d-',312,');if(Math.abs(box.y)<0.0001',11,'.y','=0;}}if(!','box',11,128,534,').Remeasured();}if',520,'){var W=box.w;var x=box.w;var _252=[box];var dh=0;var dd=0;if(_24b.sup){var sup',128,169,'_24b.sup,',109,411,'_249),',196,'sup.x=((box.w-sup.w)/2+',516,'/2)-x;dh=TeX.big_op_spacing5;W',103,'W,sup.w);x+=sup.x+sup.w;sup.y=box.h+sup.d+box.y+Math.max(TeX.big_op_spacing1,TeX.big_op_spacing3-sup.d);_252[_252',9,']=sup',3,'_24b.sup;}if(_24b.sub){var sub',128,169,'_24b.sub,',109,'DownStyle','(_249),',196,'sub.x=((box.w-sub.w)/2-',516,'/2)-x;dd=TeX.big_op_spacing5;W',103,'W,sub.w);x+=sub.x+sub.w;sub.y=-box.d-sub.h+box.y-Math.max(TeX.big_op_spacing2,TeX.big_op_spacing4-sub.h);_252[_252',9,']=sub',3,'_24b.sub;}if(W>box.w',11,'.x=(W-box.w)/2;x+=box.x;}if(x<W){_252[_252',9,']=',17,494,'W-x);}',526,128,239,'_252,_249',172,526,'.h+=dh;',526,'.d+=dd;}',68,539,'&&_24b.sub&&C&&C.ic){',526,128,342,'jsMath.Box.','Space(-C.ic*TeX.scale)],_249,size);}',68,'box.y){',526,128,425,'box],',547,253,510,');}},ord',15,'_257,size,_259',',prev,_25b,i){if(_259.',450,'"&&!_259.sup&&!_259.sub){var _25d=','_25b.mlist','[i+1];if(_25d&&_25d.atom&&_25d.type&&(_25d.type=="ord','"||_25d.type=="','op',636,'bin',636,'rel',636,'open',636,'close',636,'punct")){if(_25d.',450,'"&&_25d.nuc.font==_259.nuc.font){_259.textsymbol=1;var krn',107,'[_259.nuc.font][_259.nuc.c].krn;krn*=',109,'TeX(_257,size).scale;if(krn&&','krn[_25d.nuc.c',']){for(var k=',634,9,'-1;k>i;k--){',634,'[k+1]=',634,'[k];}',634,'[i+1]=',17,494,654,']);}}}}',253,630,');},fraction',15,'_260,size,_262','){var TeX=',109,'TeX(_260',207,'t=0;if(_262.thickness!=null){t=_262.thickness;}',68,'_262.from.match(/over/)){t=',335,';}}var isD=(_260',518,'D");var Cn=(_260=="D")?"T":(_260=="D\'")?"T\'":',109,411,'_260);var Cd=(isD)?"T\'":',109,583,'(_260);var num',128,169,'_262.num',',Cn,',196,'var den',128,169,'_262.den,Cd,',196,'var u;var v;var w;var H=(isD)?TeX.delim1:TeX.delim2;var _26e=[',617,129,'_262.left,_260)];var _26f',128,129,'_262.right,_260);if(num.w<den.w){num.x=(den.w-num.w)/2;den.x=-(num.w+num.x);w=den.w;_26e[1]=num;_26e[2]=den;}else{den.x=(num.w-den.w)/2;num.x=-(den.w+den.x);w=num.w;_26e[1]=den;_26e[2]=num;}if(isD){u=TeX.num1;v=TeX.denom1;}else{u=(t!=0)?TeX.num2:TeX.num3;v=TeX.denom2;}if(t==0){var p=(isD)?7*',335,':3*',335,';var r=(u-num.d)-(','den.h-v);if(r<p){','u+=(p-r)/2;v+=(p-r)/2;}}else{var p=(isD)?3*t:t',108,312,711,'a+t/2);if(r<p){u+=p-r;}r=(a-t/2)-(',712,'v+=p-r;}var rule',128,'Rule(w,t);rule.x=-w;rule.y=a-t/2;_26e[_26e',9,']=rule;}num.y=u;den.y=-v;_26e[_26e',9,']=_26f;_262.nuc',128,239,'_26e,_260',172,'_262',211,'_262',136,3,693,3,'_262.den;',253,673,');},SupSub',15,'_276,size,_278){var TeX=',109,'TeX(_276',207,'nuc=','_278.nuc',';',166,'=',747,128,169,747,',_276,size,0);if(box.format=="null"){box=',747,128,'Text("","normal",','_276,size);}','if(',450,'"){if(!_278.textsymbol){var C',107,'[nuc.font][nuc.c];if(C.ic){_278',536,'(!','_278.sub',11,'=',747,128,342,617,'Space(','_278.delta',')],_276',172,775,'=0;}}}else{',775,555,'_278.sup','&&!',767,'){return;}',747,'.Styled();var Cd=',109,583,'(_276);var Cu=',109,411,'_276);var q=',109,'TeX(Cu,size).','sup_drop;var r=',109,'TeX(Cd,size).','sub_drop;var u=0;var v=0;var p;if(nuc.type&&nuc.type!="text"&&nuc.type!="TeX"&&nuc.type!="null"){u=box.h-q;v=box.d+r;}if(',767,'){var sub',128,169,767,',Cd',172,'sub',128,425,'sub,',17,'.Space(TeX.scriptspace)],_276,size',');}if(!',782,'){sub.y=-Math.max(v,TeX.sub1,sub.h-(4/5)*',109,798,464,747,128,342,'sub],_276,size).Styled();',0,767,';return;}','var sup',128,169,782,',Cu',172,'sup',128,425,'sup,',17,812,');if(_276=="D"){p=TeX.sup1;}',68,'_276','.charAt(','_276',9,'-1)=="\'"){','p=TeX.sup3;}else{p=TeX.sup2;}}u',103,'u,p,sup.d+',109,795,'x_height/4);if(!',767,'){sup.y=u;',747,128,342,'sup],_276',172,0,782,825,'v',103,'v,',109,798,'sub2);',334,335,';if((u-sup.d)-(sub.h-v)<4*t){v=4*t+sub.h-(u-sup.d);p=(4/5)*TeX.x_height-(u-sup.d);if(p>0){u+=p;v-=p;}}sup',175,'sub',175,'sup.y=u;sub.y=-v;sup.x=',775,';if(sup.w+sup.x>sub.w){sup.x-=sub.w;',747,128,342,'sub,sup],',759,'else{sub.x-=(sup.w+sup.x);',747,128,342,'sup,sub],',759,0,782,3,767,';}});jsMath.',144,'=function(_287){this.type="typeset";',8,'=_287;};',158,144,',{upStyle:{D:"S",T:"S","','D\'":"S\'","T\'":"S\'",S:"SS','",SS:"SS","','S\'":"SS\'","SS\'":"SS\'"},','downStyle:{D:"S\'",T:"S\'","',899,'\'",SS:"SS\'","',901,'UpStyle',15,'_288){',13,'this.upStyle[_288];},',583,15,'_289){',13,'this.downStyle[_289];},',331,15,'_28a){if(_28a',841,'_28a',9,844,13,'_28a;}',13,'_28a+"\'";},StyleValue',15,'_28b,v){if(_28b=="S"||_28b=="S\'"){',13,'0.7*v;}if(_28b=="SS"||_28b=="SS\'"){',13,'0.5*v;}',13,'v;},StyleSize',15,'_28d,size){if(_28d=="S"||_28d=="S','\'"){size=Math.max(0,size-','2);}else{if(','_28d=="SS','"||',939,937,'4);}}',13,'size;},TeX',15,'_28f,size){if(_28f=="S"||_28f=="S',937,938,'_28f=="SS','"||',950,937,943,13,'jsMath.TeXparams[size];},AddStyle',15,'_291,size,html){if(_291=="S"||_291=="S',937,938,'_291=="SS','"||',961,937,943,'if(size!=4){html="<span class=\\"size"+size+"\\">"+','html+"</span>";}',13,'html;},AddClass',15,'_294,html){if(_294!=""&&_294!="normal"){html=',178,'Class(_294,html);}',13,'html;}});','jsMath.Package(jsMath.',144,',{DTsep:{ord',':{op:1,bin:2,rel:3,inner:1},','op',':{ord:1,op:1',',rel:3,inner:1},bin:{ord:2,op:2,open:2,inner:2},rel:{ord:3,op:3,open:3,inner:3},open:{},close',979,'punct',981,',rel:1,open:1,close',':1,punct:1,inner:1','},inner',981,',bin:2,rel:3,open',987,'}},SSsep:{ord:{op:1},op',981,'},bin:{},rel:{},open:{},close:{op:1},punct:{},inner:{op:1}},sepW:["","thinmuskip","medmuskip","thickmuskip"],','GetSeparation',15,'l,r,_298){if(l&&l.atom&&r.atom){var _299=this.DTsep;if(_298',518,'S"){_299=this.SSsep;}var row=_299[l.type];if(row&&row[r.type]!=null){',13,'jsMath.TeX[this.sepW[row[r.type]]];}}',13,'0;},',144,15,'_29b,size){',52,'=_29b;',54,'=size;var _29d=-10000;this.w=0;this.h=_29d;this.d=_29d;this.bh=this.h;this.bd=this.d;this.tbuf="";this.tx=0;','this.tclass','="";','this.cbuf','="";this.hbuf="";this.hx=0;var _29e=null;var prev;this.x=0;this.dx=0;for(var i=0;i<',8,9,58,'prev=_29e;_29e=',8,'[i];switch(_29e.type){case "size":','this.FlushClassed();',54,'=_29e.size;','_29e=prev;break;case "','style":',1021,'if(',52,841,52,9,844,52,'=_29e.style','+"\'";}else{',52,1034,';}',1024,'space":if(typeof (_29e.w)=="object"){if(',52,841,'1)=="','S"){_29e.w=0.','5*','_29e.w[0]/18',';}',68,52,518,1044,'7*',1046,';}else{_29e.w=',1046,';}}}this.dx+=_29e.w-0;',1024,'html":',1021,'if(this.hbuf==""){this.hx=this.','x;}','this.hbuf+=','_29e.html;_29e=prev;break;default:if(!_29e.atom&&_29e.type!="box"){break;}','_29e.nuc.','x+=this.dx+this.',995,'(prev,_29e,',52,');if(',1064,'y||',1064,'x){',1064,'Styled();}this.dx=0;this.x=this.x+this.w;this.w+=',1064,'w+',1064,'x;if(',1064,'format=="text"){if(',1011,'!=',1064,'tclass&&',1011,'!=""){','this.FlushText','();}','if(this.tbuf','==""&&',1013,'==""){this.tx=this.x;}this.tbuf+=',1064,'html;',1011,'=',1064,'tclass;}else{',1021,'if(',1064,'x||',1064,'y){this.Place(_29e.nuc);}',1060,'x;}',1062,1064,'html;}this.h',103,'this.h,',1064,'h+',1064,'y);this.bh',103,'this.bh,',1064,'bh);this.d',103,'this.d,',1064,'d-',1064,'y);this.bd',103,'this.bd,',1064,'bd);break;}}',1021,'if(this.dx){',1062,178,179,'this.dx);this.w+=this.dx;}if(this.hbuf==""){',13,617,'Null;}if(this.h==_29d){this.h=0;}if(this.d==_29d){this.d=0;}',166,28,'Box("html",this.hbuf,this.w,this.h,this.d);box.bh=this.bh;box.bd=this.bd;',13,'box;},FlushText',42,1090,'==""){return;}',1013,'+=',109,'AddClass(',1011,',this.tbuf);this.tbuf="";',1011,'="";},FlushClassed',42,1088,'();if(',1013,1147,1060,'tx;}',1062,109,'AddStyle(',52,',',54,',',1013,');',1013,'="";},Place',15,'item){var ','html="<span style=\\"position: relative',';";if(item.x){html+=" margin-left:"+',178,'Em(item.x)+";";}if(item.y){html+=" top:"+',178,'Em(-item.y',')+";";}item.html=html+"\\">"+item.html+"</span>";','item.h+=item.y;item.d-=item.y;item.x=0;item.y=0',';},PlaceSeparateSkips',15,'item){if(item.y){item.',1176,'; "+"top:"+',178,1181,')+";"+"\\">"+item.',967,'if(item.x){item.html=',178,179,'item.x)+item.html;}',1183,891,'Parse','=function(s,font,size,','_2a8){var _2a9',28,'Parser(s,font,size,_2a8);_2a9.Parse();',13,'_2a9;};jsMath.Parser',1200,'_2ad){this.string=s;this.i=0;',8,28,'mList(null,font,size,_2ad);};',976,'Parser,{cmd:"\\\\",open:"{",close:"}",letter:/[a-z]/i,number:/[0-9]/,scriptargs:/^((math|text)..|mathcal|[hm]box)$/,mathchar:{"!":[5,0,33],"(":[4,0,40],")":[5,0,41],"*":[2,2,3],"+":[2,0,43],",":[6,1,59],"-":[2,2,0],".":[0,1,58],"/":[0,1,61],":":[3,0,58],";":[6,0,59],"<":[3,1,60],"=":[3,0,61],">":[3,1,62],"?":[5,0,63],"[":[4,0,91],"]":[5,0,93],"|":[0,2,106]},special:{"~":"Tilde","^":"HandleSuperscript","_":"HandleSubscript"," ":"Space","\\x01','":"Space","\\','t',1213,'r',1213,'n":"Space","\'":"Prime","%":"HandleComment","&":"HandleEntry"},mathchardef:{braceld:[0,3,122],bracerd:[0,3,123],bracelu:[0,3,124],braceru:[0,3,125],alpha:[0,1,11],beta:[0,1,12],gamma:[0,1,13],delta:[0,1,14],epsilon:[0,1,15],zeta:[0,1,16],eta:[0,1,17],theta:[0,1,18],iota:[0,1,19],kappa:[0,1,20],lambda:[0,1,21],mu:[0,1,22],nu:[0,1,23],xi:[0,1,24],pi:[0,1,25],rho:[0,1,26],sigma:[0,1,27],tau:[0,1,28],upsilon:[0,1,29],phi:[0,1,30],chi:[0,1,31],psi:[0,1,32],omega:[0,1,33],varepsilon:[0,1,34],vartheta:[0,1,35],varpi:[0,1,36],varrho:[0,1,37],varsigma:[0,1,38],varphi:[0,1,39],Gamma:[7,0,0],Delta:[7,0,1],Theta:[7,0,2],Lambda:[7,0,3],Xi:[7,0,4],Pi:[7,0,5],Sigma:[7,0,6],Upsilon:[7,0,7],Phi:[7,0,8],Psi:[7,0,9],Omega:[7,0,10],aleph:[0,2,64],imath:[0,1,123],jmath:[0,1,124],ell:[0,1,96],wp:[0,1,125],Re:[0,2,60],Im:[0,2,61],partial:[0,1,64],infty:[0,2,49],prime:[0,2,48],emptyset:[0,2,59],nabla:[0,2,114],surd:[1,2,112],top:[0,2,62],bot:[0,2,63],triangle:[0,2,52],forall:[0,2,56],exists:[0,2,57],neg:[0,2,58],lnot:[0,2,58],flat:[0,1,91],natural:[0,1,92],sharp:[0,1,93],clubsuit:[0,2,124],diamondsuit:[0,2,125],heartsuit:[0,2,126],spadesuit:[0,2,127],coprod:[1,3,96],bigvee:[1,3,87],bigwedge:[1,3,86],biguplus:[1,3,85],bigcap:[1,3,84],bigcup:[1,3,83],intop:[1,3,82],prod:[1,3,81],sum:[1,3,80],bigotimes:[1,3,78],bigoplus:[1,3,76],bigodot:[1,3,74],ointop:[1,3,72],bigsqcup:[1,3,70],smallint:[1,2,115],triangleleft:[2,1,47],','triangleright',':[2,1,46],bigtriangleup:[2,2,52],bigtriangledown:[2,2,53],wedge:[2,2,94],land:[2,2,94],vee:[2,2,95],lor:[2,2,95],cap:[2,2,92],cup:[2,2,91],ddagger:[2,2,122],dagger:[2,2,121],sqcap:[2,2,117],sqcup:[2,2,116],uplus:[2,2,93],amalg:[2,2,113],diamond:[2,2,5],bullet:[2,2,15],wr:[2,2,111],div:[2,2,4],odot:[2,2,12],oslash:[2,2,11],otimes:[2,2,10],ominus:[2,2,9],oplus:[2,2,8],mp:[2,2,7],pm:[2,2,6],circ:[2,2,14],bigcirc:[2,2,13],setminus:[2,2,110],cdot:[2,2,1],ast:[2,2,3],times:[2,2,2],star:[2,1,63],propto:[3,2,47],sqsubseteq:[3,2,118],sqsupseteq:[3,2,119],parallel:[3,2,107],mid:[3,2,106],dashv:[3,2,97],vdash:[3,2,96],leq:[3,2,20],le:[3,2,20],geq:[3,2,21],ge:[3,2,21],succ:[3,2,31],prec:[3,2,30],approx:[3,2,25],succeq:[3,2,23],preceq:[3,2,22],supset:[3,2,27],subset:[3,2,26],supseteq:[3,2,19],subseteq:[3,2,18],"in":[3,2,50],ni:[3,2,51],owns:[3,2,51],gg:[3,2,29],ll:[3,2,28],not:[3,2,54],sim:[3,2,24],simeq:[3,2,39],perp:[3,2,63],equiv:[3,2,17],asymp:[3,2,16],smile:[3,1,94],frown:[3,1,95],Leftrightarrow:[3,2,44],Leftarrow:[3,2,40],Rightarrow:[3,2,41],leftrightarrow:[3,2,36],','leftarrow',':[3,2,32],gets:[3,2,32],rightarrow:[3,2,33],to:[3,2,33],mapstochar:[3,2,55],leftharpoonup:[3,1,40],','leftharpoondown',':[3,1,41],rightharpoonup:[3,1,42],rightharpoondown:[3,1,43],nearrow:[3,2,37],searrow:[3,2,38],nwarrow:[3,2,45],swarrow:[3,2,46],','minuschar',':[3,2,0],hbarchar:[0,0,22],lhook:[3,1,44],rhook:[3,1,45],ldotp:[6,1,58],cdotp:[6,2,1],colon:[6,0,58],"#":[7,0,35],"$":[7,0,36],"%":[7,0,37],"&":[7,0,38]},delimiter:{"(":[0,0,40,3,0],")":[0,0,41,3,1],"[":[0,0,91,3,2],"]":[0,0,93,3,3],"<":[0,2,104,3,10],">":[0,2,105,3,11],"/":[0,0,47,3,14],"|":[0,2,106,3,12],".":[0,0,0,0,0],"\\\\":[','0,2,110,3,15],"\\\\','lmoustache":[4,3,122,3,64],"\\\\rmoustache":[5,3,123,3,65],"\\\\lgroup":[4,6,40,3,58],"\\\\rgroup":[5,6,41,3,59],"\\\\arrowvert','":[0,2,106,3,','60],"\\\\Arrowvert":[0,2,107,3,61],"\\\\bracevert',1229,'62],"\\\\Vert":[0,2,107,3,13],"\\\\|":[0,2,107,3,13],"\\\\vert',1229,'12],"\\\\uparrow":[3,2,34,3,120],"\\\\downarrow":[3,2,35,3,121],"\\\\updownarrow":[3,2,108,3,63],"\\\\Uparrow":[3,2,42,3,126],"\\\\Downarrow":[3,2,43,3,127],"\\\\Updownarrow":[3,2,109,3,119],"\\\\backslash":[',1227,'rangle":[5,2,105,3,11],"\\\\langle":[4,2,104,3,10],"\\\\rbrace":[5,2,103,3,9],"\\\\lbrace":[4,2,102,3,8],"\\\\}":[5,2,103,3,9],"\\\\{":[4,2,102,3,8],"\\\\rceil":[5,2,101,3,7],"\\\\lceil":[4,2,100,3,6],"\\\\rfloor":[5,2,99,3,5],"\\\\lfloor":[4,2,98,3,4],"\\\\lbrack":[0,0,91,3,2],"\\\\rbrack":[0,0,93,3,3]},macros:{displaystyle',':["HandleStyle","','D"],textstyle',1237,'T"],scriptstyle',1237,'S"],scriptscriptstyle',1237,'SS"],rm',':["HandleFont",','0],mit',1245,'1],oldstyle',1245,'1],cal',1245,'2],it',1245,'4],bf',1245,'6],font',':["Extension","','font"],left:"HandleLeft",right:"HandleRight",arcsin',':["NamedOp",0],','arccos',1259,'arctan',1259,'arg',1259,'cos',1259,'cosh',1259,'cot',1259,'coth',1259,'csc',1259,'deg',1259,'det',':"NamedOp",','dim',1259,'exp',1259,'gcd',1279,'hom',1259,'inf',1279,'ker',1259,'lg',1259,'lim',1279,'liminf',':["NamedOp",null,"lim<span style=\\"margin-left: "+1/6+"em\\"></span>','inf"],limsup',1297,'sup"],ln',1259,'log',1259,'max',1279,'min',1279,'Pr',1279,'sec',1259,'sin',1259,'sinh',1259,'sup',1279,'tan',1259,'tanh',1259,298,':["HandleAtom","',298,'"],',318,1323,318,'"],',351,1323,351,'"],over',':"HandleOver",','overwithdelims',1334,'atop',1334,'atopwithdelims',1334,'above',1334,'abovewithdelims',1334,'brace',':["HandleOver','","\\\\{","\\\\}"],brack',1346,'","[","]"],choose',1346,'","(",")"],overbrace',1257,'leaders"],','underbrace',1257,1353,'overrightarrow',1257,1353,'overleftarrow',1257,1353,'overset',1257,'underset-overset"],','underset',1257,1365,'llap',':"HandleLap",','rlap',1370,'ulap',1370,'dlap',1370,'raise:"RaiseLower",lower:"RaiseLower",moveleft',':"MoveLeftRight",','moveright',1378,'frac:"Frac",root:"Root",sqrt:"Sqrt",hbar',':["Macro","\\\\','hbarchar\\\\kern-.5em h"],ne',1382,'not="],neq',1382,'not="],notin',1382,'mathrel{\\\\','rlap{\\\\kern2mu/}}\\\\in"],cong',1382,1389,'lower2mu{\\\\','mathrel','{{\\\\rlap{=}\\\\raise6mu\\\\sim}}}}"],bmod',1382,'mathbin{\\\\rm mod}"],pmod',1382,'kern 18mu ({\\\\rm mod}\\\\,\\\\,#1)",1],"int":["Macro","\\\\intop\\\\nolimits"],oint',1382,'ointop\\\\nolimits"],doteq',1382,'buildrel\\\\textstyle.\\\\over="],ldots',1382,'mathinner{\\\\','ldotp\\\\ldotp\\\\ldotp}"],cdots',1382,1405,'cdotp\\\\cdotp\\\\cdotp}"],vdots',1382,1405,'rlap{\\\\raise8pt{.\\\\rule 0pt 6pt 0pt}}\\\\rlap{\\\\raise4pt{.}}.}"],ddots',1382,1405,'kern1mu\\\\raise7pt{\\\\rule 0pt 7pt 0pt .}\\\\kern2mu\\\\raise4pt{.}\\\\kern2mu\\\\raise1pt{.}\\\\kern1mu}"],joinrel',1382,1389,'kern-4mu}"],','relbar',1382,1389,'smash-}"],','Relbar',1382,1394,'="],bowtie',1382,1394,'\\\\',1219,'\\\\joinrel\\\\',1394,'\\\\triangleleft"],models',1382,1394,'|\\\\joinrel="],mapsto',1382,1389,'mapstochar\\\\','rightarrow}"],rightleftharpoons',1382,298,'{\\\\',1389,'rlap{\\\\raise3mu{\\\\rightharpoonup}}}\\\\',1223,'}"],hookrightarrow',1382,'lhook','\\\\joinrel\\\\rightarrow','"],hookleftarrow',1382,'leftarrow\\\\joinrel\\\\','rhook"],Longrightarrow',1382,1423,1431,'Rightarrow"],','longrightarrow',1382,1419,1450,'"],longleftarrow',1382,1453,1419,'"],Longleftarrow',1382,'Leftarrow\\\\joinrel\\\\',1423,'"],longmapsto',1382,1389,1439,1225,1450,'}"],longleftrightarrow',1382,1221,1450,'"],','Longleftrightarrow',1382,1469,1458,'iff:["Macro","\\\\;\\\\',1482,'\\\\;"],mathcal',':["Macro","{\\\\','cal #1}",1],mathrm',1489,'rm #1}",1],mathbf',1489,'bf #1}",1],','mathbb',1489,1494,'mathit',1489,'it #1}",1],textrm',1382,'mathord{\\\\hbox{#1}}",1],textit',1382,'mathord{\\\\class{','textit','}{\\\\hbox{#1}}}",1],','textbf',1382,1504,1507,1506,'TeX:["Macro","T\\\\kern-.1667em\\\\lower.5ex{E}\\\\kern-.125em X"],limits:["Limits",1],nolimits:["Limits",0],",":["Spacer",1/6],":":["Spacer",1/6],">":["Spacer",2/9],";":["Spacer",5/18],"!":["Spacer",-1/6],enspace:["Spacer",1/2],quad:["Spacer",1],qquad:["Spacer",2],thinspace:["Spacer",1/6],negthinspace:["Spacer",-1/6],hskip:"Hskip",kern:"Hskip",rule:["Rule","colored"],space:["Rule","blank"],big',':["MakeBig","','ord",0.85],Big',1513,'ord",1.15],bigg',1513,'ord",1.45],Bigg',1513,'ord",1.75],bigl',1513,'open",0.85],Bigl',1513,'open",1.','15],biggl',1513,1524,'45],Biggl',1513,1524,'75],bigr',1513,'close",0.85],Bigr',1513,'close",1.','15],biggr',1513,1535,'45],Biggr',1513,1535,'75],bigm',1513,'rel",0.85],Bigm',1513,'rel",1.15],biggm',1513,'rel",1.45],Biggm',1513,'rel",1.75],mathord',1323,'ord"],mathop',1323,'op"],mathopen',1323,'open"],mathclose',1323,'close"],mathbin',1323,'bin"],',1394,1323,'rel"],mathpunct',1323,'punct"],mathinner',1323,'inner"],','mathchoice',1257,1568,'"],buildrel:"BuildRel",hbox:"HBox",text:"HBox",mbox:"HBox",fbox',1257,'fbox"],strut:"Strut",mathstrut',1382,'vphantom{(}"],phantom:["Phantom",1,1],vphantom:["Phantom",1,0],hphantom:["Phantom",0,1],smash:"Smash",acute',':["MathAccent",[7,0,','19]],grave',1576,'18]],ddot',1576,'127]],tilde',1576,'126]],bar',1576,'22]],breve',1576,'21]],check',1576,'20]],hat',1576,'94]],vec',':["MathAccent",[0,','1,126]],dot',1576,'95]],widetilde',1592,'3,101]],widehat',1592,'3,98]],"_":["','Replace","ord','","_","normal",-0.4,0.1]," ":["',1600,'","&nbsp;","normal"],angle:["',1600,'","&#x2220;","normal"],matrix:"Matrix",array:"Matrix",pmatrix:["Matrix","(",")","c"],cases:["Matrix","\\\\{",".",["l","l"],null,2],eqalign',':["Matrix",null,null,["','r","l"],[5/18],3,"D"],displaylines',1606,'c"],null,3,"D"],cr:"HandleRow","\\\\":"HandleRow",newline:"HandleRow",noalign:"HandleNoAlign",eqalignno',1606,'r","l","r"],[5/8,3],3,"D"],','leqalignno',1606,1611,'begin:"Begin",end:"End",tiny',':["HandleSize",','0],Tiny',1616,'1],scriptsize',1616,'2],small',1616,'3],normalsize',1616,'4],large:'],
  ['["','HandleSize','",5],Large',':["HandleSize",','6],LARGE',3,'7],huge',3,'8],Huge',3,'9],dots:["','Macro','","\\\\ldots"],','newcommand',':["Extension","',13,'"],def',14,13,'"],color',14,'HTML"],','href',14,'HTML"],"class":["','Extension','","',21,'style',14,21,'cssId',14,21,'unicode',14,21,'bbox',14,37,'"],require:"','Require','","char":"Char"},','environments',':{array:"Array",matrix',':["Array",null,null,"','c"],pmatrix:["Array","(",")","c"],bmatrix:["Array","[","]","c"],Bmatrix:["Array","\\\\{","\\\\}","c"],vmatrix:["Array","\\\\vert","\\\\vert","c"],Vmatrix:["Array","\\\\Vert","\\\\Vert","c"],cases:["Array","\\\\{",".","ll",null,2],eqnarray',45,'rcl",[5/18,5/18],3,"D"]},AddSpecial',':function','(obj){','for(var id in obj){','jsMath.Parser.prototype','.special[',52,'[id]]=obj[id];}},Error',49,'(s){','this.i','=this.','string.length;if(s','.error){','this.error','=s.error;}else{if(!this',61,62,'=s;}}},nextIsSpace',49,'(){','return ','this.string.charAt(this.i',')==" ";},trimSpaces',49,'(text){','if(typeof (','text)!="string"){',69,'text;}',69,'text','.replace(/^\\s+|\\s','+/g,"");},','Process',49,'(arg','){var ','data=','this.mlist.','data;','arg=','jsMath.','Parse(arg,','data.font',',','data.size',',data.style',');if(arg',61,'this.Error(','arg);','return null;}','if(arg.mlist.Length()==','0){',100,101,'1',85,'atom=','arg.mlist.','Last();if','(atom','.atom&&','atom.type=="ord"&&atom.nuc&&!atom.sub&&!atom.sup&&(','atom.nuc.type=="','text"||',113,'TeX")){',69,'atom.nuc;}}return {type:"mlist",mlist:arg.mlist};},','GetCommand',49,'(){var ','_2b5=/^([a-z]+|.) ?/i;var cmd=_2b5.exec(','this.string.slice(','this.i));','if(','cmd){','this.i+=','cmd[1].length;',69,'cmd[1];}','this.i++;','return " ";},','GetArgument',':function(name',',','_2b8){','while','(this.nextIsSpace()){this.i','++;}if(',58,'>=','this.string','.length){','if(!',136,'this.Error("','Missing',' argument for "+name);}',100,'if(',70,')==this.','close){if(!',136,146,'Extra close brace','");}',100,'if(',70,152,126,131,69,'this.cmd+','this.',119,'();}if(',70,')!=this.open','){return ',70,'++);}var j','=++this.i;var ','_2ba=1;var c="";',137,'(this.i<this.string.length){','c=',70,'++);','if(c==this.cmd){',58,'++;}else{if(c','==this.open){_2ba',183,'==this.close){if(_2ba==0){',146,156,'");',100,'if(--_2ba==0',171,123,'j,',58,'-1);}}}}}',146,'Missing close brace','");return',' null;},ProcessArg',134,'){var arg=this.',133,'(','name);','if(this.error){return',' null;}','return this.Process(arg);},','ProcessScriptArg',134,202,133,'(',205,206,207,'if(arg.charAt(0',152,'cmd',85,'_2c0=arg.substr(1);if(_2c0=="frac"){arg+="{"+this.',133,'(_2c0)+"}";',206,207,'arg+="{"+this.',133,'(_2c0)+"}";',206,' null;}}else{if(_2c0','=="sqrt"){arg+="["+this.','GetBrackets','(_2c0)+"]";',206,207,'arg+="{"+this.',133,'(_2c0)+"}";',206,230,'.match(this.scriptargs)){arg+="{"+this.',133,'(_2c0)+"}";',206,' null;}}}}}',208,'GetDelimiter',134,'){',137,138,'++;}var c=',70,');if',177,131,181,'c="\\\\"+this.',119,'(',205,206,' null;}}','if(','this.delimiter[','c]!=null',171,265,'c];}}',146,147,' or unrecognized delimiter for "+','name);return null;},','GetDimen',134,',nomu',85,'rest;var _2c6=0;if',138,'++;}if(',70,')=="{"){rest',59,133,'(name);}else{rest=',123,58,');_2c6=1;}',69,'this.','ParseDimen','(rest,name,_2c6,nomu);},',291,49,'(_2c7,name,_2c9,nomu',85,'_2cb=_2c7.match(/^\\s*([-+]?(\\.\\d+|\\d+(\\.\\d*)?))(pt|em|ex|mu|px)/);if(!_2cb){',146,147,' dimension or its units for "+',205,100,'if(_2c9){',127,'_2cb[0].length;if',138,'++;}}var d=_2cb[1]-0;if(_2cb[4]=="px"){d/=',90,'em',';}else{if(_2cb[4]=="','pt"){d/=10',310,'ex"){d*=','jsMath.TeX.','x_height',310,'mu"){if(nomu){d=d/18;}else{d=[d,"mu"];}}}}}',69,'d;},GetNext',49,'(){',137,138,'++;}',69,70,');},',232,134,85,'c',59,'GetNext();if(c','!="["){return "";}var _2cf',174,'_2d0=0;',137,177,'var c=',70,'++);if(c=="{"){','_2d0',183,'=="}"){if(','_2d0==0){',146,156,' while looking for',' \']\'");',100,'_2d0--;}else{',181,58,183,'=="]"){if(_2d0==0',171,123,'_2cf,',58,'-1);}}}}}}',146,'Couldn\'t find',' closing \']\' for argument to "+',165,273,'GetUpto',134,',_2d3){',137,138,'++;}var _2d4',59,'i;var _2d5=0;',137,177,'var c=',70,341,'_2d5',183,344,'_2d5==0){',146,156,348,' "+',165,'_2d3);',100,'_2d5--;}else{',181,'if(',123,'this.i,this.i+','5)=="begin"){_2d5++;',127,'4;}else{if(',123,394,'3)=="end"){if(_2d5>0){_2d5--;',127,'2;}}}if(',382,'if(',123,394,'_2d3.length',')==_2d3){c=',70,'+',407,');if(c.match(/[^a-z]/i)||!_2d3.match(/[a-z]/i)){var arg=',123,'_2d4,',58,'-1);',127,407,';',69,'arg;}}}',58,'++;}}}}',146,362,' "+',165,'_2d3+" for "+',273,'ProcessUpto',134,',_2d9',202,366,'(name,_2d9);',206,207,208,'GetEnd',49,'(env',85,'body="";var name="";',137,'(name!=env){body+=this.',366,'("begin{"+env+"}","end");',206,207,'name',59,133,'(this.cmd+"','end");',206,263,69,'body;},Space',49,'(){},','Prime',49,'(c',85,'base=',87,109,'(base==null||(!base',111,'base.type!="','box"&&',470,'frac")){',465,'this.mlist.Add(jsMath.mItem.','Atom("ord",{type:null}));}','if(base.sup){',146,'Prime causes double exponent',': use braces to clarify");return',';}var ','sup="";',137,'(c=="\'"){sup+=this.cmd+"prime";c',59,333,'=="\'"){',58,'++;}}base.sup',59,82,'(sup);','base.sup.isPrime','=1;},RaiseLower',134,85,'h','=this.GetDimen(this.cmd+name',',1);',206,481,'box',59,209,'(this.cmd+name);if(this.error){return',';}if(name=="','lower"){h=-h;}',87,'Add(new jsMath.mItem("','raise",{nuc:box,raise:h}));},MoveLeftRight',134,85,'x',498,499,206,481,'box','=this.ProcessArg',505,506,'moveleft"){x=-x;}',475,'Space(x));',475,'Atom("ord",box));',475,'Space(-x));},',41,134,85,'file',59,133,505,';}file=',90,25,'.URL(file);if(','jsMath.Setup.','loaded[file',']){','return;}','this.',25,'(null,[','file]);},',25,134,',data){','jsMath.Translate','.restart=1;if(name','!=null){','delete ',52,'[data[1]||"macros"][name];}',90,25,'.',41,'(data[0],',551,'.asynchronous',');throw "restart";},Frac',134,85,'num',519,505,481,'den',519,505,';}',475,'Fraction("over",num,den));},Sqrt',134,85,'n',59,232,505,481,'arg',519,505,';}var box=jsMath.mItem.Atom("radical",arg);','if(n!=""){box.root',59,82,'(n);',206,';}}',87,'Add(box);},','Root',134,85,'n',59,430,'(',165,'name,"of");',206,481,'arg',519,505,587,'box.root=n;',87,595,'BuildRel',134,85,'top',59,430,'(',165,'name,"over");',206,481,'bot',519,505,481,'op=',90,'mItem.Atom("','op",bot);op.limits=1;op.sup=top;',87,'Add(op);},MakeBig',134,',data){var ','type=data[0];var h=data[1]*',90,'p_height;var _2fe',59,247,505,';}',475,'Atom(type,',90,'Box.Delimiter(h,_2fe,"T")));},Char',134,85,'font',59,133,505,481,'n',59,133,505,';}if(!','jsMath.TeX[font',']){',660,']=[];this.',25,546,'jsMath.Font.URL(font',')]);}else{',475,'Typeset(',90,'Box.TeX(n-0,font,"T",',87,94,')));}},Matrix',134,',_303',85,'data=',87,88,'var arg',59,133,505,481,'_306','=new jsMath.Parser(arg+this.cmd+"\\\\",null,data.size,','_303[5]||"T");_306.matrix=name;_306.row=[];_306.table=[];_306.rspacing=[];_306.Parse();if(_306',61,98,'_306);',543,'_306','.HandleRow(name,1);var box=jsMath.Box.Layout(data.size,','_306.table,_303[2]||null,_303[3]||null,_306.rspacing,_303[4]||null);if(_303[0]&&_303[1]){var left','=jsMath.Box.Delimiter(box.h+box.d-jsMath.hd/4,this.delimiter[','_303[0]],"T");var _309',696,'_303','[1]],"T");box=jsMath.Box.SetList([left,box,','_309],','data.style,data.size',');}',475,'Atom((_303','[0]?"inner":"ord"),box));},','HandleEntry',134,'){','if(!this.','matrix){',98,'name+" can only appear in a matrix or array");return;}if(',87,'data.openI',553,'var open=',87,'Get(',87,715,');if(open','.left){',146,147,' "+this.cmd+"right','");}else{',146,198,'");}}if(',87,'data.overI',553,87,'Over();}var data=',87,88,87,'Atomize(',702,');var box=',87,669,702,');this.row[','this.row.length',']=box;this.mlist=new ',90,'mList(null,null,',94,95,');},HandleRow',134,',last',85,'_310;',710,'matrix){',98,165,713,'name=="\\\\"){_310',59,232,505,';}if(_310){','_310',59,291,'(_310,',165,'name,0,1);}}this.',707,'(',205,'if(!last||',746,'>1||this.row[0].format!="null"){this.table[this.table','.length]=this.','row',766,'this.rspacing[this.table.length',']=_310;}this.row=[];},HandleNoAlign',134,202,133,505,481,'skip=arg.replace(/^.*(vskip|vspace)([^a-z])/i,"$2");if(skip.length==arg',143,'return',481,'d',59,291,'(skip,',165,'RegExp.$1,0',499,206,';}',782,']=(',782,']||0)+d;},Array',134,',_316',85,'_317=_316[2];var _318=_316[3];if(!_317){_317',59,133,453,'begin{"+name+"}");',206,';}}_317=_317.replace(/[^clr]/g,"");_317=_317.split("");var data=',87,88,'var _31a=_316[5]||"T";var arg',59,439,'(',205,206,481,'_31c',687,'_31a);_31c.matrix=name;_31c.row=[];_31c.table=[];_31c.rspacing=[];_31c.Parse();if(_31c',61,98,'_31c);',543,'_31c',694,'_31c.table,_317,_318,_31c.rspacing,_316[4]);if(_316[0]&&_316[1]){var left',696,'_316[0]],"T");var _31f',696,'_316',700,'_31f],',702,');}',475,'Atom((_316',706,'Begin',134,85,'env',59,133,505,';}if(env.match(/[^a-z*]/i)){',146,'Invalid',' environment',' name',' \\""+env+"\\"");return;}',710,43,'[env]){',146,'Unknown',856,858,'var cmd',59,43,'[env];',74,'cmd',')=="string"){','cmd=[cmd];}this[cmd[0]](env,cmd.slice(1));},End',134,85,'env',59,133,505,';}',98,165,'name+"{"+env+"} without matching "+this.cmd+"begin");},Spacer',134,',w){',475,'Space(w-0));},Hskip',134,85,'w',59,274,505,';}',475,'Space(w));},HBox',134,'){var text=this.',133,505,';}','var box=jsMath.','Box.InternalMath(text,',87,94,');',475,669,'box));},Rule',134,',_32d',85,'w',498,499,206,481,'h',498,499,206,481,'d',498,499,206,';}h+=d;var html;if(h!=0){h=Math.max(1.05/',90,'em,h);}if(h==0||w==0||_32d=="blank"){html=','jsMath.HTML.','Blank(w,h);}else{html=',930,'Rule(w,h);}if(d){html','="<span style=\\"','vertical-align:"+',930,'Em(-d)+"\\">"+','html+"</span','>";}',475,669,'new ',90,'Box("html",html,w,h-d,d)));},Strut',49,121,'size=',87,94,';',902,'Box.Text("","normal","T",size).Styled();box.bh=box.bd=0;box.h=0.8;box.d=0.3;box.w=0;',475,669,'box));},Phantom',134,636,'arg',519,505,';}',87,509,'phantom",{phantom:arg,v:data[0],h:data[1]}));},Smash',134,636,'arg',519,505,';}',87,509,'smash",{smash:arg}));},MathAccent',134,',_33b',85,'c',519,505,481,107,90,631,'accent",c);atom.accent=_33b[0];',87,'Add(atom);},NamedOp',134,636,'a=(name.match(/[^acegm-su-z]/))?1:0;var d=(name.match(/[gjpqy]/))?0.2:0;if(data[1]){name=data[1];}',902,'mItem.TextAtom("op",name,"cmr10",a,d);if(data[0]!=null){box.limits=data[0];}',87,595,'Limits',134,636,107,87,109,'(!atom||atom.type!="op"){',98,165,'name+" is allowed only on operators',199,';}atom.limits=data[0];},',11,134,636,'text=data[0];if(data[1]){var args=[];','for(var i=0;i<','data[1];i++){args[args',779,133,505,';}}text',59,'SubstituteArgs','(args,text);}',142,59,'AddArgs(','text,',123,124,58,'=0;},',1017,49,'(args,_34c',85,'text="";var _34e="";var c;var i','=0;while(i<','_34c',143,'c=','_34c.charAt(i','++);',181,'text+=c+',1036,'++);}else{if(c=="#"){c=',1036,'++);if(','c=="#"){text+=c;}else{if(!c.match(/[1-9]/)||c>args',143,146,'Illegal macro parameter reference");',100,'_34e',59,1021,'this.AddArgs(_34e,text','),args[c-1]);text="";}}else{text+=c;}}}',69,1052,');},AddArgs',49,'(s1,s2){if(s2.match(/^[a-z]/i)&&s1.match(/(^|[^\\\\])(\\\\\\\\)*\\\\[a-z]+$/i)){s1+=" ";}',69,'s1+s2;},Replace',134,550,475,'TextAtom',561,'data[1],data[2],data[3]));},Tilde',134,'){',475,'TextAtom("ord','","&nbsp;","normal"));},HandleLap',134,85,'box',519,'();',206,';}box=',87,509,'lap",{nuc:box,lap:name}));},HandleAtom',134,636,'arg',519,505,';}',475,'Atom(data,arg));},HandleMathCode',134,',code','){this.HandleTeXchar(','code[0],code[1],code[2]);},HandleTeXchar',49,'(type,font,code){if(type==7&&',87,92,553,'font=',87,92,';}font=',314,'fam[font];if(!',660,']){',660,']=[];this.',25,546,666,')]);}else{',475,'TeXAtom(',314,'atom[type],code,font));}},','HandleVariable',49,'(c',1092,'7,1',',c.charCodeAt(0));},','HandleNumber',49,'(c',1092,'7,0',1122,'HandleOther',49,'(c){',475,1070,'",c,"normal"));},HandleComment',49,121,'c;',137,177,'c=',70,1043,'c=="\\r"||c=="\\n"){return;}}},HandleStyle',134,',_365){',87,'data.style=_365[0];',87,509,'style",{style:_365[0]}));},',1,134,',size){',87,94,'=size[0];',87,509,'size",{size:size[0]}));},HandleFont',134,',font){',87,92,'=font[0];},HandleCS',49,121,'cmd',59,119,'();',206,';}if(this.macros[cmd]){var _36b',59,'macros[cmd];',74,'_36b',872,'_36b=[_36b];}this[_36b[0]](cmd,_36b.slice(1));',543,'if(','this.mathchardef[cmd',']){this.HandleMathCode(','cmd,',1181,']);',543,'if(',265,165,'cmd',1182,'cmd,',265,165,'cmd].slice(0,3));',543,146,'Unknown control sequence \'"+',165,'cmd+"\'");},HandleOpen',49,'(){',87,'Open();},HandleClose',49,'(){if(',87,715,'==null){',146,156,199,481,'open=',87,'Get(',87,715,');if(!open||','open.left',1209,87,'Close();}else{',146,156,' or missing',726,199,';}},HandleLeft',134,85,'left',59,247,505,';}',87,'Open(left);},HandleRight',134,85,'_370',59,247,505,481,'open=',87,'Get(',87,715,722,'&&',1220,553,87,'Close(_370);}else{',146,'Extra open brace or missing "+this.cmd+"left");}},HandleOver',134,550,'if(',87,732,553,146,'Ambiguous use of "+',165,205,543,87,732,'=',87,'Length();',87,'data.overF={name:name};if(data.length>0){',87,'data.overF.','left=',265,'data[0]];',87,1278,'right=',265,'data[1]];}else{if(name.match(/withdelims$/)){',87,1278,'left',59,247,505,';}',87,1278,'right',59,247,505,';}}else{',87,1278,'left=null;',87,1278,1284,'null;}}if(name.match(/^above/)){',87,1278,'thickness',498,499,206,1300,87,1278,'thickness=null;}},HandleSuperscript',49,121,465,87,109,'(base==null||(!base',111,470,'box"&&',470,'frac")){',465,475,476,477,'if(',493,'){',465,475,476,'else{',146,'Double exponent',480,';}}base.sup',59,209,'("superscript");',206,';}},HandleSubscript',49,121,465,87,109,'(base==null||(!base',111,470,'box"&&',470,'frac")){',465,475,476,'if(base.sub){',146,'Double subscripts',480,';}base.sub',59,209,'("subscript");',206,';}},Parse',49,121,'c;',137,177,'c=',70,1043,'this.mathchar[c',1182,'c,',1381,']);}else{if(this',53,'c]){this[this',53,'c]](c',');}else{if(','this.letter','.test(c)){this.',1117,'(c',1390,'this.number',1392,1123,'(c);}else{this.',1129,'(c);}}}}}if(',87,715,553,'var open=',87,'Get(',87,715,722,'.left){',146,147,726,727,146,198,'");}}if(',87,732,553,87,'Over();}},Atomize',49,121,'data=',87,'init;if(!this',61,87,739,702,');}},Typeset',49,121,'data=',87,'init;var box',59,'typeset=',87,669,702,');',206,' "<span class=\\"error\\">"+',62,'+"</span>";}if(box.format=="null"){return "";}box.Styled().Remeasured();var _37b=0;var _37c','=0;if(box.bh>','box.h&&box.bh>',90,'h','+0.001){_37b=1;}if(box.','bd>box.d&&box.bd>',90,'d',1453,'h>',90,'h||box.d>',90,'d){_37c=1',481,'html=box.html;if(_37b){if(','jsMath.Browser.','allowAbsolute',85,'y',1449,90,'h+0.001){y=',90,'h-box.bh;}html=',930,'Absolute(html,box.w,',90,'h,0,y,',90,'h',1390,1465,'valignBug){','html="<span style=\\"line-height:"+jsMath.HTML.Em(jsMath.d',')+";\\">"+',938,'>";}else{var dy=',930,'Em(Math.max(0,box.bd-',90,'hd)/3);',1483,')+";"+" position:relative; top:"+dy+"; ',935,'dy+"\\">"+',938,'>";}}_37c=1;}if(_37c){html+=',930,'Blank(0,box.h+0.05,box.d+0.05);}return "<nobr><span class=\\"scale\\">"+',938,'></nobr>";}});',52,'.AddSpecial({cmd:"HandleCS",open:"HandleOpen",close:"HandleClose"});','jsMath.Add(jsMath,{',11,134,85,'_381=',52,'.macros;','_381','[name]=["',11,'"];for(var i=1;i<arguments.length;i++){_381[name][_381[name].length]=arguments[i];}}});',90,25,'={safeRequire:1,',11,134,',file',85,'_385=',52,1509,'if(file',1209,'file=name;}_385',1511,25,'",file];},LaTeX',49,'(env,file',85,'_388=',52,'.',43,';_388[env]=["',25,'",file,"',43,'"];},Font',134,1161,'if(font',1209,'font=name+"10";}var _38b=',52,1509,'_38b',1511,25,'",',666,')];},MathChar',49,'(font,defs',85,'fam=',314,'famName[font','];if(fam',1209,1558,314,'fam.length;',314,'fam[fam]=font;',314,1560,']=fam',481,'_38f=',52,'.mathchardef;for(var c in defs){_38f[c]=[defs[c][0],fam,defs[c][1]];}},',41,49,'(file,show){if(this.safeRequire&&(file.match(/\\.\\.\\/|[^-a-z0-9.\\/:_+=%~]/i)||(file.match(/:/)&&file.substr(0,',90,'root.length)!=',90,'root))){',540,541,']=1;',543,540,'Script(this.URL(file),show);},URL',49,'(file){file=file',80,'+$/g,"");if(!file.match(/^([a-z]+:|\\/|fonts|extensions\\/)/i)){file="extensions/"+file;}if(!file.match(/\\.js$/)){file+=".js";}',69,'file;}};',1503,82,49,50,540,'Body();','jsMath.Script.','Push(',551,',"','Asynchronous','",obj);},ProcessBeforeShowing',49,50,540,1599,'var _396=(','jsMath.Controls.cookie.','asynch?"',1604,'":"','Synchronous','");',1600,1601,551,',_396,obj);}});',551,'={element:[],cancel:0,Parse',49,'(_397,s,_399',85,'_39a=',90,'Global.','cache[_397];if(!','_39a[jsMath.em',']){',1630,']={};}var HTML=',1630,'][s];if(!HTML||_399',85,'_39c=',90,'Parse(s,null,null,_397);_39c.Atomize();HTML=_39c.Typeset();if(!_399){',1630,'][s]=HTML;}}',69,'HTML;},TextMode',49,'(s,_39e){this.Parse("T",s,_39e);},DisplayMode',49,'(s,_3a0){this.Parse("D",s,_3a0);},','GetElementText',49,'(_3a1',898,'recursiveElementText','(_3a1);_3a1.alt=text;if(text.search("&")>=0){','text=text.replace(/&','lt;/g,"<");',1654,'gt;/g,">");',1654,'quot;/g,"\\"");',1654,'amp;/g,"&");}',69,'text;},',1652,49,'(_3a3){if(','_3a3.nodeValue','!=null',171,1667,';}if(','_3a3.childNodes.length','==0){return " ";}var text="";',1010,1672,';i++){text+=this.',1652,'(_3a3.childNodes[i]);}',69,1663,'ResetHidden',49,'(_3a6){_3a6.innerHTML',934,'visibility:hidden; position:absolute; top:0px;left:0px; text-indent:0px\\"></span>"+',1465,'operaHiddenFix;_3a6.className="";',90,'hidden=_3a6.firstChild;if(!',90,'BBoxFor("x").w){','jsMath.hidden=jsMath.hiddenTop',';}',90,'ReInit();},','ConvertText',49,'(_3a7,_3a8',898,1648,'(_3a7',');this.ResetHidden(','_3a7',');if(text.match(/^\\s*\\\\nocache([^a-zA-Z])/)){','_3a8','=true;text=text.replace(/\\s*\\\\nocache/,"");}text=this.Parse("','T",text,_3a8);_3a7','.className="typeset";','_3a7','.innerHTML=text;},','ConvertDisplay',49,'(_3aa,_3ab',898,1648,'(_3aa',1702,'_3aa',1704,'_3ab',1706,'D",text,_3ab);_3aa',1708,'_3aa',1710,'ProcessElement',49,'(_3ad){','this.restart','=0;var _3ae=(','_3ad.className','.toLowerCase().match(/(^| )nocache( |$)/)!=null);try','{if(_3ad.tagName.toLowerCase()=="','div"){this.',1711,'(_3ad,_3ae);_3ad.onclick=jsMath.Click.CheckClick;_3ad.ondblclick=jsMath.Click.CheckDblClick',';}else',1733,'span"){this.',1696,1736,';}}}catch(err){if(_3ad.alt',85,'tex=_3ad.alt;','tex=tex.replace','(/&/g,"&amp;");',1745,'(/</g,"&lt;");',1745,'(/>/g,"&gt;");_3ad.innerHTML=tex;',1731,'="math";if(_3ae){',1731,'+=" nocache";}}',1692,';}},','ProcessElements',49,'(k){',1600,'blocking=','1;if(k>=','this.element.length','||','this.cancel','){this.','ProcessComplete','();if(',1765,'){','jsMath.Message.','Set("',82,' Math: Canceled");',1771,'Clear();}',1600,1761,'0;',1600,82,'();}else{','this.ProcessElement(this.element[','k]);if(',1729,'){',1600,1601,'this,"',1757,'",k);',1600,1761,'0;setTimeout("',1600,82,'()",',1465,'delay);}else{k++;var p=Math.floor(100*k/',1763,');','jsMath.Message.Set("Processing Math',': "+p+"%");setTimeout("',551,'.',1757,'("+k+")",',1465,'delay);}}},',1604,49,'(obj','){if(!jsMath.initialized){jsMath.Init();}this.element=this.GetMathElements(obj);',1765,'=0;this',563,'=1;',1600,1761,'1;',1802,': 0%",1);setTimeout("',551,'.',1757,'(0)",',1465,'delay);},',1615,49,'(obj,i){if(i==null',1813,'i=0;}this',563,1032,1763,'){',1783,'i]);if(',1729,'){',90,'Synchronize','("',551,'.',1615,'(null,"+i+")");',1600,82,'();',543,'i++;}this.',1767,'(1);},GetMathElements',49,50,'var _3b6=[];if(!obj){obj=','jsMath.document',';}',74,'obj',872,'obj=',1859,'.getElementById(obj);}if(!','obj.getElementsByTagName','){',100,'var math=',1867,'("div','");for(var k=0;k<math.length;k++){if(math[k].className&&math[k].className.match(/(^| )math( |$)/)){if(jsMath.Browser.renameOK&&obj.getElementsByName){math[k].setAttribute("name","_jsMath_");}else{_3b6[_3b6.length]=math[k];}}}','math=',1867,'("span',1873,'if(',1465,'renameOK','&&obj','.getElementsByName','){_3b6=obj',1882,'("_jsMath_',727,'if(',90,'hidden','.sourceIndex','){_3b6.sort(function(a,b',171,'a',1890,'-b',1890,';});}}',69,'_3b6;},',1767,49,'(_3bc){if(',1465,1880,85,'_3bd=',1859,1882,1885,'");for(var i=_3bd.length-1;i>=0;i--){_3bd[i].removeAttribute("name");}}',1692,';this.element=[];if(!_3bc){',1802,': Done");',1771,'Clear();}',1771,'UnBlank();if(',1465,'safariImgBug&&(',1611,'font=="symbol"||',1611,'font=="image")){if(','this.timeout','){clearTimeout(',1925,');}',1925,'=setTimeout("','jsMath.window.resizeBy','(-1,0); "+"',1931,'(1,0); "+"',551,'.timeout = null",2000);}},Cancel',49,'(){',551,'.cancel=1;if(',1600,'cancelTimer){',1600,'cancelLoad();}}};',1503,'ConvertTeX',49,'(_3bf){',1600,'Push(jsMath.tex2math,"',1946,'",_3bf);},','ConvertTeX2',49,'(_3c0){',1600,1950,1953,'",_3c0);},','ConvertLaTeX',49,'(_3c1){',1600,1950,1960,'",_3c1);},','ConvertCustom',49,'(_3c2){',1600,1950,1967,'",_3c2);},','CustomSearch',49,'(om,cm,od,cd','){',1600,1601,'null,function(){',90,'tex2math.',1974,1976,');});},tex2math:{',1946,49,460,1953,49,460,1960,49,460,1967,49,460,1974,49,'(){}}});',90,1843,'=',1600,1843,';try{if(','window.parent','!=window&&window.jsMathAutoload){',2007,'.jsMath=jsMath;',1859,'=',2007,'.document;',90,'window=',2007,';}}catch(err){}',90,1628,'Register();',90,'Loaded();',90,'Controls.GetCookie();',540,'Source();',90,1628,'Init();',1600,'Init();',540,'Fonts();if(',1859,'.body){jsMath.Setup.Body();}}}']
]);
//end = new Date().getTime();
//alert(end-start);
